function gototapxy(x,y);
%gototapxy(x,y) -  goes to tap x,y, clearing shift
% register first if it needs to, 
% based on value of currenttapx and currenttapy, which are
% reset by clearbitsx/y
% numbering is 1 based, 1,1 is corner pixel
scannerglobals
if x<=0 | y<=0,
   error('x,y are 1 based, (1,1) is corner pixel');
end

fprintf(' clocking to tap (%d,%d) from (%d,%d)...',x,y,currenttapx,currenttapy);

if x<currenttapx,
   clearbitsx;
end
while(currenttapx<x);
   clockoncex;
end

if y<currenttapy,
   clearbitsy;
end
while(currenttapy<y);
   clockoncey;
end
fprintf('done\n');





