function [Y,dYda]=Idiff2abvfit(x,A)
% IDIFF1ABVFIT Fitting module for above threshold 
% diffpair current 1.
% Y=A(1) .* (1 - (x - A(2))/A(3) .* sqrt(2 - ((x-A(2))./A(3))^2))) + A(4)
x=x(:);
npar=length(A);
sub1 = x - A(2);
div1 = sub1 ./ A(3);
sqrt1 = sqrt(2 - div1 .^ 2);
rest1 = (1 - div1 .* sqrt1);
Y=A(1) .* rest1 + A(4);

dYda=zeros(length(x),npar);
dYda(:,1)= rest1;
dYda(:,2)= (A(1) / A(3)) .* (sqrt1 - (div1 .^2) ./ sqrt1 );
dYda(:,3)= (A(1) / A(3)) .* (div1 .* sqrt1 - (div1 .^3) ./ sqrt1); 
dYda(:,4)= ones(length(x),1);
