function [A,B] = getsvs(fiteqnchoice,npar,Xbasis,Ybasis,Xtrunk,Ytrunk,A,B,sig);
% subroutine of fit: gets all values

V=1:npar;
dispfitfunc=ones(1,5+length(fiteqnchoice));
dispfitfunc(:,1:5)='help ';
dispfitfunc(:,6:5+length(fiteqnchoice))=fiteqnchoice;

while 1
  clc  
  eval(dispfitfunc)
  disp('Current seed values for fitting function:')
  % Don't use disp directly to avoid stupid scaling of values 
  % Lena 8/17/93
  %disp(A(:)')
  dispfloatvector(A)
  disp('Current best fit values:')
  %disp(B(:)')
  dispfloatvector(B)
 
  help getsvslist

	  str = input('Enter your choice: ','s');
   n = IntfromString(str);
   if n == 0 | n == -2
     break  
 	 elseif  isalldigits(str) & (n >= 0) & (n <= 9)
     if (n == 1)
       A = changesv(A,dispfitfunc);
     elseif (n == 2)
       A = changeallsv(A,dispfitfunc);
     elseif (n == 3) 
       clg; 
       plot(Xtrunk,Ytrunk,'o' );
       [x,y]=ginput(1);
       fprintf('x: %g, y: %g\n' ,x,y),pause;
     elseif (n == 4)   
		     A = B;
     elseif (n == 5)
	      sig = changesg(sig); 
     elseif (n == 6)
       V = changepv(V,npar); 
     elseif (n == 7)
       if (strcmp(fiteqnchoice,'linexpfit')==1)
         [B,chisq,cov]=nlls(Xtrunk,log(Ytrunk),sig,A,V,'linfit','y' ); pause;
         B = [exp(B(2));B(1); 0; 0]; 
       else 
         [B,chisq,cov]=nlls(Xtrunk,Ytrunk,sig,A,V,fiteqnchoice,'y' ); pause;
       end
       y = fiteval(fiteqnchoice,B,Xtrunk);
       clg;
       hold off;
       plot(Xtrunk,y,Xtrunk,Ytrunk,'o');  
     elseif (n == 8) 
       y = fiteval(fiteqnchoice,A,Xtrunk);
       clg; 
       hold off;
       plot(Xtrunk,y,Xtrunk,Ytrunk,'o'); 
     elseif (n == 9)
       y = fiteval(fiteqnchoice,B,Xtrunk);
       clg;
       hold off;
       plot(Xtrunk,y,Xtrunk,Ytrunk,'o' );  
     end
     clc
	 end
end



 
