function [Y,dYda]=sqrfit(x,A)
% SQRFIT Square curve fitting module.
% Y=A(1) .* (x - A(2))^2+ A(3))
x=x(:);
npar=length(A);
Y= A(1) .* (x + A(2)) .* (x + A(2)) + A(3);

dYda=zeros(length(x),npar);
dYda(:,1)=  (x + A(2)) .* (x + A(2));
dYda(:,1)=  2 .* ( A(1) .* x .+ A(2));
dYda(:,2)= ones(length(x),1);



