function [Y,dYda]=tanhfit(x,A)
%  Y=A(1) .* tanh(A(2) .* (x - A(3))) + A(4);

x=x(:); % Column vector
npar=length(A);
Y=A(1) .* tanh(A(2) .* (x - A(3))) + A(4);

dYda=zeros(length(x),npar);
% sech(x) = 1/cosh(x)
help1 = 1 ./ cosh( A(2) .* (x- A(3)) );
help2 = help1 .* help1;
dYda(:,1)=tanh( A(2) .* (x- A(3)) );
dYda(:,2)=   A(1) .* (x - A(3)) .* help2;
dYda(:,3)= - A(1) .* A(2) .* help2;
dYda(:,4)=ones(length(x),1);


