function [response, status] = GPIB_Read(deviceName)
% function [response, status] = GPIB_Read(deviceName)
% Reads string from device deviceName
% Note that the underlying function (GPIB)
% only can read MAX_READSTR bytes
% at a time.  If the length is MAX_READSTR then the function
% does NOT try to read what is left over.
% MAX_READSTR is defined in GPIB.c

%deviceName='K617_1';
addr=GPIB_Find(deviceName);
[num,response,status]=ib('rd',0,addr);

%readerr=0;
%eval('[num,response,status]=gpib(2,0,addr);',...
%	'readerr=1;');
%
%if readerr==1,
%	response='';
%	disp('gpib read error');
%end;
