function [deltay, yoff, yorigin, deltax]=HP601A_GetScale(whichscope)
% function [deltay, yoff, yorigin, deltax]=HP601A_GetScale(whichscope)
% Returns the deltax , deltay, and y offset and origin values
% for current channel source.

if nargin == 0, whichscope = HP601A_DefaultName; end

deltax  = HP601A_ReadNumber(':WAVEFORM:XINCREMENT?', whichscope);
deltay  = HP601A_ReadNumber(':WAVEFORM:YINCREMENT?', whichscope);
yoff    = HP601A_ReadNumber(':WAVEFORM:YREFERENCE?', whichscope);
yorigin = HP601A_ReadNumber(':WAVEFORM:YORIGIN?', whichscope);
