function K230_Operate(K230Name)
% function K230_Operate(K230Name)
% Put the 230 in operate mode
% see also: K230_disable

if nargin==0, K230Name=K230_DefaultName; end

 GPIB_Write('F1X',K230Name);

 if (K230_Error(K230Name)),
    fprintf(['Error occurred for Keithley 230 : (' K230Name ')\n']);
 end
  
