function K236_Source(volt, K236Name)
% function K236_Source(volt, K236Name)
% Sets the voltage on the 236 

if nargin==1, K236Name=K236_DefaultName; end


%  fifty_mv=50e-03;
%  n=round(volt/fifty_mv);
%  volt = n*fifty_mv;
 
  cmdstr = sprintf('B%e,0,100N1X',volt);
  GPIB_Write(cmdstr,K236Name);
  if K236_Error(K236Name),
    fprintf(['Error occurred in Set_236_Voltage, with Cmd_Str = ' cmdstr]);
  end
