function result=K236_Take(K236Name)
% function [result,sdev,unsettled]=K236_Take([K617Name])
% Measures using the K236 using the current
% settings, returns measurement as result. The user is 
% responsible for the K236 being in the right 
% mode.
% comes from k617 code
%

if nargin==0, K236Name=K236_DefaultName; end


%seting plain ascii output and cause immediate trigger

% trigger source button or h0,trig starts src, output
% trig on end of measure, sweep trig end disabled
GPIB_Write('T4,1,4,0X',K236Name);
% select output format
GPIB_Write('G4,2,0X',K236Name);
%pause(1);
% trigger measurement
GPIB_Write('H0X',K236Name);

[response,status]=GPIB_Read(K236Name);
  if K236_Error(K236Name),
    fprintf('Error occurred in K236_Take');
  end

result=sscanf(response,'%g');
