function [result,range,overflow]=K617AutoSetRange(K617Name)
% leaves 617 in fixed range to avoid autoranging timeout
% problem, but finds most sensitive range

global Verbose

if nargin==0, 
	K617Name=K617_DefaultName; 
end

GPIB_Write('R12X',K617Name);
K617range=K617_GetRange(K617Name);

overflow==0;
% generate overflow
[result,overflow]=K617_DVM_quick;
[result,overflow]=K617_DVM_quick;
while overflow==0 & K617range>1,
	K617range=K617range-1;
	K617_SetRange(K617range,K617Name);
	[result,overflow]=K617_DVM_quick;
	[result,overflow]=K617_DVM_quick;
end;

while overflow==1 & K617range<11
	K617range=K617range+1;
	K617_SetRange(K617range,K617Name);
	[result,overflow]=K617_DVM_quick;
	[result,overflow]=K617_DVM_quick;
end;

range=K617range;

if overflow,
	sysbeep;
	disp('Overflow in K617AutoRange');
end;


	
		
		
	
	
