function mode=K617_GetMode(K617Name)
%function mode=K617_GetMode(K617Name)
% get the K617 mode
% mode=0, volts
%     =1, amps
%     =2, ohms
%     =3, coulombs
%     =4, external feedback
%     =5, V/I ohms

if nargin==0, K617Name=K617_DefaultName; end

GPIB_Write('U0X',K617Name);
status=GPIB_Read(K617Name);
mode=sscanf(status(4),'%d');
