function range=K617_GetRange(K617Name)
%function range=K617_GetRange(K617Name);
% get the K617 range number from the Keithley 617

if nargin==0, K617Name=K617_DefaultName; end
GPIB_Write('U0X',K617Name);
status=GPIB_Read(K617Name);
range=sscanf(status(5:6),'%d');
