function [ScopeName,ScopeType]=Scope_DefaultScope
% function [ScopeName,ScopeType]=Scope_DefaultScope
% Function to hold default ScopeName and ScopeType
% scopename is the NI 488.2 name for the GPIB channel the scope is on e.g.
% DEV12
% scopetype is the type of scope, e.g. TEK_540 used to branch code

% this GPIB name is set using the hidden program "C:\Program Files\National Instruments\NI-488.2\Bin\GpibConf.exe"
% NI is trying to deprecate these symbolic instrument names in favor of
% absolute GPIB device id's, such as DEV12, but this program lets you set
% the name.
ScopeName='TDS540C';
ScopeType='TEK_540';

%ScopeName='TEK2430';
%ScopeType='TEK_2440';

%ScopeName = 'HP601A_1';
%ScopeType = 'HP_54601A';
