function [freq] = Scope_MeasFreq(Channel,ScopeType,ScopeName)
%function [freq] = Scope_MeasFreq(Channel,ScopeType,ScopeName)
% Get frequency of signal on specified channel

whichscope=toupper(whichscope);
scopetype=toupper(scopetype);

if strcmp(scopetype, 'TEK_2440')	  
    [freq]=T2440_MeasFreq (channel,whichscope);
elseif strcmp(scopetype, 'HP_54601A')
    [freq]=HP601A_MeasFreq(channel,whichscope);
else
	   error('Only have scope types TEK_2440 and HP_54601A');
end
