function [freq] = Scope_MeasFreq(Channel,ScopeType,ScopeName)
%function [freq] = Scope_MeasFreq(Channel,ScopeType,ScopeName)
% Get frequency of signal on specified channel

if nargin==1,
	[whichscope,scopetype]=Scope_DefaultScope;
end;

if strcmp(ScopeType, 'TEK_2440')	  
    [freq]=T2440_MeasFreq (Channel,ScopeName);
elseif strcmp(ScopeType, 'HP_54601A')
    [freq]=HP601A_MeasFreq(Channel,ScopeName);
else
	   error('Only have scope types TEK_2440 and HP_54601A');
end
