function [vpp] = Scope_MeasVpp(Channel,ScopeType,ScopeName)
% Get frequency of signal on specified channel

whichscope=toupper(whichscope);
scopetype=toupper(scopetype);

if strcmp(ScopeType, 'TEK_2440')	  
    vpp=T2440_MeasVpp (Channel,ScopeName);
elseif strcmp(ScopeType, 'HP_54601A')
    vpp=HP601A_MeasVpp(Channel,ScopeName);
else
	   error('Only have scope types TEK_2440 and HP_54601A');
end
