function reply=Scope_Read(whichscope,scopetype)
% read a string from a scope

if nargin ==0, [whichscope,scopetype]=Scope_DefaultScope; end

scopetype=upper(scopetype);

if strcmp(scopetype,'TEK_2440'),
   reply=T2440_Read(whichscope);
elseif strcmp(scopetype, 'HP_54601A') 
   reply=HP601A_Read(whichscope);
elseif strcmp(scopetype, 'TEK_540') 
   reply=T540_Read(whichscope);
else
   error('unknown scopetype');
end
