function TakeScope_Init
% TakeScopeInit
% initalization function for TakeScope script
% Global variables must be defined in the TakeScopeGlobals script.
%  Note : Global variables cannot be cleared
%								 unless the entire workspace is.

TakeScopeGlobals;
if  ~InitializedTakeScopeGlob,
% You can change this.
%TSScopeName = 'HP54501A_1';
%TSScopeType = 'HP_54601A';

%TSScopeName = 'TEK2430';
%TSScopeType = 'TEK_2440';

TSScopeName='TDS540C';
TSScopeType='TEK_540';

% How to plot different channels
%TScol1 = 'r-';
%TScol2 = '--g';
%TScol3 = ':g';
%TScol4 = '-.b';
% text in plots?
%OffsetText = 1;
%CouplingText = 1;

% Dont change this stuff please

if strcmp (TSScopeType,'HP_54601A')
   HP601A_write(':system:header off', TSScopeName);
elseif strcmp(TSScopeType, 'TEK_2440')
   T2440_write('PATH OFF', TSScopeName);
else
   disp ('Unknown scopetype in TakeScope_Init')
end
InitializedTakeScopeGlob=1;

end

