%script to export data using export dialog box parameters

% written mar-apr 94 by tobi
% bugs/suggestions to tobi@pcmp.caltech.edu

global Scope182ExportDlgFig Scope182ExportNames Scope182Exported
global scopedata scopetimeaxis TSChansGot

exists=0; empty=0;
timename=get(Scope182ExportNames(1),'string');
if isempty(timename), 
	empty=1;
elseif exist(timename,'var'), 
	exists=1;
end;

for i=1:4,
	if strcmp(get(Scope182ExportNames(i+1),'visible'),'on'),
		name=get(Scope182ExportNames(i+1),'string');
		if isempty(name),
			empty=1;
		elseif exist(name,'var'),
			exists=1;
		end;
	end;
end;

if empty,
	Scope182('error','Fill in curve names and try again');
	return;
else,
	Scope182('msg','');
end;
if exists,
	overwrite=questdlg('Data already exists. Overwrite?','Yes','No');
else
	overwrite='Yes';
end;
if strcmp(overwrite,'Yes'),
	eval([timename,'=scopetimeaxis;']); 
	for i=TSChansGot,
		name=get(Scope182ExportNames(i+1),'string');
		eval([name,'= scopedata(',int2str(i),',:);']);
	end;
	set(Scope182ExportDlgFig,'visible','off');
	Scope182Exported=1;
end;
clear overwrite  Scope182Exported
clear Scope182ExportDlgFi Scope182ExportNames 
clear exists empty scopedata scopetimeaxis
clear name timename TSChansGot i 
