function  T2440_AutoFreqInit(whichscope)
% function  T2440_AutoFreqInit([whichscope])
% Initializes the Tektronix scope for the AutoFreq function

if nargin==0, whichscope=T2440_DefaultName; end

GPIB_Write('ch1 position:0,coupling:ac',whichscope);
GPIB_Write('ch2 position:0,coupling:ac',whichscope);
GPIB_Write('acquire mode:normal',whichscope);
T2440_ClearErrors(whichscope); % Incase it was in average mode earlier
% it is possible to get a 558 error saying that vertical expansion was removed

GPIB_Write('atr mode:normal',whichscope); 
GPIB_Write('smooth off',whichscope);
GPIB_Write('bwlimit twenty',whichscope); % May not want to include
GPIB_Write('acquire erase',whichscope);
