function [str] = T2440_GetDivStr(range,rstr)
%function [str] = T2440_GetDivStr(range,rstr)
%	returns volts/div string to label plot with
% Range is whole so it has to be divided by eight!

r  = rstr(1);

if range > 0.99
   str = [r,' V/div'];
elseif range > 0.099
   str = [r,'00 mV/div'];
elseif range > 0.0099 
   str = [r,'0 mV/div'];
elseif range > 0.00099 
   str = [r,' mV/div'];
end


