%script to export data using export dialog box parameters

global Take182ExportDlgFig Take182ExportNames Take182Exported
global Xtake Ytake Ysdev

sdevon=strcmp(get(Take182ExportNames(3),'visible'),'on');

tmpx=get(Take182ExportNames(1),'string');
tmpy=get(Take182ExportNames(2),'string');
if sdevon,
	tmpysdev=get(Take182ExportNames(3),'string'); 
else
	tmpysdev='';
end;

if isempty(tmpx) | isempty(tmpy) | ( sdevon & ~isempty(tmpysdev) ),
	Take182('error','Fill in curve names and try again');
	return;
else,
	Take182('msg','');
end;

if (vexist(tmpx)==1 | vexist(tmpy)==1 | vexist(tmpysdev)==1),
	overwrite=questdlg('Data already exists. Overwrite?','Yes','No');
else
	overwrite='Yes';
end;
if strcmp(overwrite,'Yes'),
	if ~isempty(tmpx), eval([tmpx,'=Xtake;']); end;
	if ~isempty(tmpy), eval([tmpy,'=Ytake;']); end;
	if ~isempty(tmpysdev), eval([tmpysdev,'=Ysdev;']); end;
	set(Take182ExportDlgFig,'visible','off');
	Take182Exported=1;
end;
clear overwrite tmpx tmpy tmpysdev Take182Exported
clear Take182ExportDlgFig Take182ExportNames Xtake Ytake Ysdev sdevon	

