function Temptronic_SetSetpointNumber(number)
%function Temptronic_SetSetpointNumber(number)
% sets the current setpoint (0-2 in manual mode, 0 is hot, 1 is ambient, 2
% is cold)

if number<0 | number>2, error('valid setpoints in manual mode are 0-2'); end

temptronic=Temptronic_DefaultName;
GPIB_Write(sprintf('SETN %d',number),temptronic);

