function Temptronic_SetTemperature(temperature)
%function temperature=Temptronic_SetTemperature
% sets the current setpoint's temperature (this could be either cold,
% ambient, or hot depending on manual mode setting)

% must set setpoint beause of restrictions on manual mode temperatures not
% speced in manual
pause(3); % wait for previous command to take effect
temptronic=Temptronic_DefaultName;
fprintf('setting temperature to %g...',temperature);
if temperature<=20,
    if Temptronic_ReadSetpointNumber~=2 % have to do this because temptronic is touchy about setting setpoint if it is already set
        Temptronic_SetSetpointNumber(2);
    end
    pause(3);
    GPIB_Write(sprintf('SETP %.1f',temperature),temptronic);
elseif temperature>=30,
    if Temptronic_ReadSetpointNumber~=0
        Temptronic_SetSetpointNumber(0);
    end
    pause(3);
    GPIB_Write(sprintf('SETP %.1f',temperature),temptronic);
else
    if Temptronic_ReadSetpointNumber~=1
        Temptronic_SetSetpointNumber(1);
    end
    pause(3);
    GPIB_Write(sprintf('SETP %.1f',temperature),temptronic);
end
fprintf('done\n');

