function Axes182Data(f)

kids=get(gca,'Children');
lines = findObj(kids, 'type','line');

global Axes182revertData Axes182revertLens Axes182revertCnt

% save data for revert
if f~=0,
	len=0;
	Axes182revertCnt = length(lines);
	for i=1:length(lines),
		len=len+length(get(lines(i),'XData'));
	end;
	Axes182revertData=zeros(1,2*len);
	Axes182revertLens=zeros(1,cnt);
	dp=1;
	for i=1:length(lines),
		x=get(lines(i),'Xdata');
		y=get(lines(i),'Ydata'); 
		dp1=dp+length(x)+length(y)-1;
		Axes182revertData(dp:dp1)=[x,y];
		dp=dp1+1;
		Axes182revertLens(i)=length(x);
	end;
end;

if f==0, % revert data
	if isempty(Axes182revertCnt),
		sysbeep;
		disp('No data to revert');
		return;
	end;
	dp=1;
	for i=1:length(lines),
		dp1=dp+Axes182revertLens(i)-1;
		x=Axes182revertData(dp:dp1);
		dp=dp1+1;
		dp1=dp+Axes182revertLens(i)-1;
		y=Axes182revertData(dp:dp1);
		set(lines(i),'Xdata',x);
		set(lines(i),'Ydata',y);
		dp=dp1+1;
		end;
	end;
	% Now there is no data to revert!
	Axes182revertCnt= 0;

elseif f==1,
	for i=1:length(lines),
		dp=get(lines(i),'XData');
		dp=-dp;
		set(lines(i),'XData',dp);
	end;
elseif f==2,
	for i=1:length(lines),
		dp=get(lines(i),'YData');
		dp=-dp;
		set(lines(i),'YData',dp);
	end;
elseif f==3,
	for i=1:length(lines),
		dp=get(lines(i),'XData');
		dp=abs(dp);
		set(lines(i),'XData',dp);
	end;
elseif f==4,
	for i=1:length(lines),
		dp=get(lines(i),'YData');
		dp=abs(dp);
		set(lines(i),'YData',dp);
	end;
elseif f==5,
	s=input('xdata=f(x,y,i), f= ','s');
	for i=1:length(lines),
		x=get(lines(i),'XData');
		y=get(lines(i),'YData');
		eval(['f = ',s,';']);
		set(lines(i),'XData',f);
	end;
elseif f==6,
	s=input('ydata=f(x,y,i), f= ','s');
	for i=1:length(lines),
		x=get(lines(i),'XData');
		y=get(lines(i),'YData');
		eval(['f = ',s,';']);
		set(lines(i),'YData',f);
	end;
end;

if( strcmp(get(gca,'XLimMode'),'auto') ),
	set(gca,'XLimMode','manual'); % bug in 4.1 means must do this first
	set(gca,'YLimMode','manual');
	set(gca,'XLimMode','auto');
	set(gca,'YLimMode','auto');
end;
refresh;

