function [res] = Axes182LgdButDwnFcn (arg)

%if selection type is open (== doubleclick)
%choose the object inside legend closest to current point 
%and edit it (by  explicitly calling it's button down function).
%if selection is normal move the legend around 

% Assumes the legend axes is currentobject in the figure.
seltype = get(gcf,'selectionType');

if strcmp(seltype, 'normal')
	Axes182MoveLegend;
elseif  strcmp(seltype, 'open')
	% find closest object in legend.
	% This is terrible hack but will have to do for now.
	% it can only be one since legends don't contain overlapping objects.
	% There is text and there are lines and if it's to the right it's a text object
	% and to the left a line object that should be selected
	
	kids = get(gco, 'Children');
	t =findobj(kids,  'Type', 'text');
	l =findobj(kids,  'Type', 'line');
	
	oldunits = get(gco, 'Units');
	set(gco, 'Units', 'normalized');
	cp = get(gco, 'CurrentPoint');
	set(gco, 'Units', oldunits);
	
	tp = get(t(1), 'Position');

	if cp(1) < tp(1)
		type = 'line'
		arr = l;
	else
		type = 'text'
		arr = t;
	end
	
	
	if strcmp (type, 'text')  & length(t)== 1
		co = t;
	elseif strcmp(type, 'line') & length(l) == 1
		co = l;
	else
		co = [];
		above = [];
		pa = 10000000;
		below = [];
		pb = -1000000000;
		for k = 1:length(arr)
			if strcmp (type, 'text')
				op = get(arr(k), 'Position');
				ypos = op(2);
			elseif strcmp (type, 'line')
				op = get(arr(k), 'Ydata');
				ypos = op(1);
			end
			if  ypos >=cp(1,2) & ypos < pa
				pa = ypos;
				above = arr(k);
			elseif ypos < cp(1,2) &  ypos > pb
				pb = ypos;
				below = arr(k);
			end
		end
		if below == []
			co = above;
		elseif above == []
			co = below;
		elseif (pb + pa)/2 .0 < cp(1,2)
			co = below;
		else
			co = above;
		end		
	end
	if  co == []
		disp('Weird no object selected');
	else
		set(gcf, 'CurrentObject', co);
		cmnd = get(gco, 'ButtonDownFcn');
		eval(cmnd);
		% Resize parent axes if necessary
	end
end
