function  [lineRet] = Axes182Line(a1, a2, a3, a4, a5,a6, a7,a8,a9,a10,a11,a12,a13,a14,a15,a16)

% Line with added properties stored in 'userdata' of line objects.
%
% the only added property  right now is 'LineName';
% the propertyValue if 'LineName' is either a single string
% or a vector of strings. In the latter case each string is considered to
% exist  rowwise so the column dimension is the number
% of characters in each string.
%
% If the 'line' command returns a a single handle the linename argument is 
% attached to it (or the first string if it is a vector of strings).
% vector of linehandles the 'LineName' property value
% function attaches the same name to each line if there
% 

lineNames = [];

argStr = [];
k = 1;
while k <=  nargin
	eval(['arg = a', int2str(k), ';']);
	if isstr(arg) & strcmp(lower(arg), 'linename');
		if nargin  >= k+1
			eval(['lineNames = a',int2str(k+1)]);
			k = k+2;
		else
			error ('Axes182Line: missing LineName string');
		end
	else
		argStr=[argStr,'a',int2str(k),','];
		k  = k+1;
	end;
end;

argStr(length(argStr))='';
command=['lineHandles=line(',argStr,');'];

eval(command);
if nargout==1,
	lineRet=lineHandles;
end;

% We use userdata to store various properties
if (lineNames ~= [])
	LNsize = size(lineNames)
	nameLen = LNsize(2)
	numNames = LNsize(1)
	
	numLines = length(lineHandles)

	% enough names for all the LineHandles

	if (numNames == numLines | numLines < numNames)
		for k=1:numLines
			Axes182SetExt(lineHandles(k), 'LineName', lineNames(k,:));
		end
	
	% not enough names;  attach 1...k to the first name in the name vector
	elseif (numNames == 1)
		for k=1:numLines
			cmnd = (['Axes182SetExt(lineHandles(k), ''LineName'', '''...
				,lineNames(1,:),int2str(k),''');'])
			eval(cmnd);
		end
 	end
end

% Register objects
set(lineHandles, 'ButtonDownFcn', 'Axes182Object(''line'')');
