function Axes182Menu(f, m)
% f=1, make menus, f=2, turn them on (after off), f=3, turn them off (grey them)

if nargin==0
	f=1; 
	m = [1 2 3]; 
elseif  f ==1 & nargin ==1
	m = [1 2 3];
end;
if f==1,
	% set up menus if they're specified to be there
	if (sum(m == 1) >= 1)
		g=uimenu('Label','Axes');
		    % dangerous globals; change names to Axes182....
			global Axes182xsplog Axes182xsplin Axes182ysplog Axes182ysplin Axes182holdp Axes182gridp
			h=uimenu(g,'Label','XScale');
				Axes182xsplin=uimenu(h,'Label','linear','Callback','Axes182Scale(1)','Checked','on');
				Axes182xsplog=uimenu(h,'Label','log','Callback','Axes182Scale(2)');
			h=uimenu(g,'Label','YScale');
				Axes182ysplin=uimenu(h,'Label','linear','Callback','Axes182Scale(3)','Accelerator','L','Checked','on');
				Axes182ysplog=uimenu(h,'Label','log','Callback','Axes182Scale(4)','Accelerator','I');
			h=uimenu(g,'Label','Axes Limits...','Callback','Axes182LimitDial(''create'')');
			h=uimenu(g,'Label','Autorange','Callback','Axes182LimitDial(''autorange'')');
%			h=uimenu(g,'Label','Limits');
%			uimenu(h,'Label','XLim...','Callback','Axes182Scale(7)');
%			uimenu(h,'Label','YLim...','Callback','Axes182Scale(8)');
			Axes182holdp=uimenu(g,'Label','Hold','Callback','Axes182Scale(5)','Checked','off');
			Axes182gridp=uimenu(g,'Label','Grid','Callback','Axes182Scale(6)','Checked','off');
			uimenu(g,'Label','Refresh','Callback','refresh','Accelerator','R');
			uimenu(g,'Label','ZoomBox','Callback','Axes182Zoom(1)','Accelerator','B','Separator','on');
			uimenu(g,'Label','UnZoom','Callback','Axes182Zoom(5)','Accelerator','U');
	end
	
	if (sum(m == 2) >= 1)
	g=uimenu('Label','Annotate');
		uimenu(g,'Label','Title...','Callback','Axes182Labels(''title'')','Accelerator','T');
		uimenu(g,'Label','XLabel...','Callback','Axes182Labels(''xlabel'')');
		uimenu(g,'Label','YLabel...','Callback','Axes182Labels(''ylabel'')');
		uimenu(g,'Label','GText...','Callback','Axes182Labels(''gtext'')','Accelerator','G');
		uimenu(g,'Label','Legend...','Callback','Axes182Labels(''legend'')','Accelerator','L');
	end
	if(sum(m==3) >= 1)	
	g=uimenu('Label','Data');
		uimenu(g,'Label','Measure','Callback','Axes182Measure(1)','Accelerator','M');
%		uimenu(g,'Label','Save...','Callback','Axes182Save','Accelerator','F');
		uimenu(g,'Label','X = -X','Callback','Axes182Data(1)','Separator','on');
		uimenu(g,'Label','Y = -Y','Callback','Axes182Data(2)');
		uimenu(g,'Label','X = abs(X)','Callback','Axes182Data(3)');
		uimenu(g,'Label','Y = abs(Y)','Callback','Axes182Data(4)');
%		uimenu(g,'Label','X = f(X)...','Callback','Axes182Data(5)','Separator','on');
%		uimenu(g,'Label','Y = f(Y)...','Callback','Axes182Data(6)');
		uimenu(g,'Label','Undo','Callback','Axes182Data(0)','Separator','on');
%		uimenu(g,'Label','Tweak...','Callback','Axes182Tweak(''create'')','Separator','on');
	end

elseif f==2,  % toggle menus on
	c=get(gcf,'Children');
	for i=c',
		if strcmp(get(i,'Type'),'uimenu'),
			set(i,'Enable','on');
		end;
	end;
elseif f==3, %toggle menus off
	c=get(gcf,'Children');
	for i=c',
		if strcmp(get(i,'Type'),'uimenu'),
			set(i,'Enable','off');
		end;
	end;
end;

	
