function [x,y]=Axes182NearPt(x1,y1)

if nargin==0, f=1; end;
global Axes182NPdata Axes182NPtmp

if f==1, % initialize data for distance measurement
	a=gca; Axes182NPdata=[];
	xlog=strcmp(get(a,'XScale'),'log');
	ylog=strcmp(get(a,'YScale'),'log');
	c=get(a,'Children');
	for i=c',
		if strcmp(get(i,'Type'),'line'),
			datax=get(i,'XData');
			datay=get(i,'YData');
			[scx,scy]=Axes182dc2sc(datax,datay);
			data=[ datax;datay; scx;scy  ];
			Axes182NPdata=[Axes182NPdata,data];
		end;
	end;
	Axes182NPtmp=zeros(2,length(Axes182NPdata));
else, % get nearest data pt to x1 y1 data coordinate
	[x1,y1]=Axes182dc2sc(x1,y1);
	Axes182NPtmp(1,:)=(Axes182NPdata(3,:)-x1).^2;
	Axes182NPtmp(2,:)=(Axes182NPdata(4,:)-y1).^2;
	Axes182NPtmp=Axes182NPtmp(1,:)+Axes182NPtmp(2,:);
	[dist,i]=min(Axes182NPtmp);
	x=Axes182NPdata(1,i);
	y=Axes182NPdata(2,i);
end;

