function Axes182Scale(f)
global Axes182xsplog Axes182xsplin Axes182ysplog Axes182ysplin Axes182holdp Axes182gridp

if f==1,
	set(gca,'XScale','linear');
	set(Axes182xsplin,'Checked','on');
	set(Axes182xsplog,'Checked','off');
elseif f==2,
	set(gca,'XScale','log');
	set(Axes182xsplin,'Checked','off');
	set(Axes182xsplog,'Checked','on');
elseif f==3,
	set(gca,'YScale','linear');
	set(Axes182ysplin,'Checked','on');
	set(Axes182ysplog,'Checked','off');
elseif f==4,
	set(gca,'YScale','log');
	set(Axes182ysplin,'Checked','off');
	set(Axes182ysplog,'Checked','on');
elseif f==5, % toggle hold
	next=get(gca,'NextPlot');
	if strcmp(next,'add'),
		set(gca,'NextPlot','replace');
		set(Axes182holdp,'Checked','off');
	else,
		set(gca,'NextPlot','add');
		set(Axes182holdp,'Checked','on');
	end;
elseif f==6, % toggle grid
	XGrid=get(gca,'XGrid');
	YGrid=get(gca,'YGrid');
	if strcmp(XGrid,'on'), 
		XGrid='off';
		YGrid='off';
		set(Axes182gridp,'Checked','off');
	else
		XGrid='on';
		YGrid='on';
		set(Axes182gridp,'Checked','on');
	end;
	set(gca,'XGrid',XGrid);
	set(gca,'YGrid',YGrid);
end;
figure(gcf);
