% script to input data to GUIfit182
% These lines of code  should be executed in base workspace 
% so this script has to be executed as a callback

[GUIfit182status , GUIfit182ExtNames, GUIfit182IntNames]=GUIfit182ImportDB('doOK')


if strcmp (GUIfit182status, 'OK')
	GUIfit182size=size(GUIfit182ExtNames);
	GUIfit182num = GUIfit182size(1);
	
	GUIfit182error = 0;
	GUIfit182errVars = [];
	for   GUIfit182k = 1:GUIfit182num
		GUIfit182Ext= deblank(GUIfit182ExtNames( GUIfit182k,:))
		GUIfit182Int=  deblank(GUIfit182IntNames( GUIfit182k,:))
		GUIfit182str = ['vexist (''',GUIfit182Ext,''')']
		GUIfit182XE = eval(GUIfit182str )
		if ~GUIfit182XE 
			GUIfit182error = GUIfit182error + 1;
			if GUIfit182errVars == []
				GUIfit182errVars = GUIfit182Ext;
			else
				GUIfit182errVars = [GUIfit182errVars, ', ',  GUIfit182Ext];
			end
		end
	end
	if GUIfit182error 
		sysbeep;
		if GUIfit182error == 1
	 		GUIfit182str = ['Variable ', GUIfit182errVars, ' does not exist in base workspace'];
		else
			GUIfit182str = ['Variables ', GUIfit182errVars, ' do not exist in base workspace'];
		end
		dialog ('style', 'error', 'textstring', GUIfit182str, 'name', 'Import Error:'); 
	else
		GUIfit182('zeroSigma');
		for   GUIfit182k = 1:GUIfit182num
			GUIfit182Ext=  deblank(GUIfit182ExtNames( GUIfit182k,:))
			GUIfit182Int=  deblank(GUIfit182IntNames( GUIfit182k,:))
      		cmnd = ['GUIfit182(''inputVar'', ''', ...
				GUIfit182Int, ...
				''', ',...
				GUIfit182Ext,...
				');']
	  		eval(cmnd);
		end
		GUIfit182('setupData');
	end
end

% don't leave junk lying around
clear GUIfit182num, GUIfit182size, GUIfit182error, GUIfit182errVars;
clear GUIfit182XE, GUIfit182str, GUIfit182Ext, GUIfit182Int;
clear GUIfit182ExtNames, GUIfit182IntNames, GUIfit182k;
