function  [status, outarg1, outarg2] =  GUIfit182ImportDB(fun)

global  isModal;
global  importDBName
% external names for all  the  fit variables
global ENbasename;
global ENxData ENyData;


isModal= 1;

if  nargin==0
	fun = 'create';
end

fprintf (1, 'in GUIfit182ImportDB, function is %s\n', fun);

if strcmp(fun, 'create')
	importDBName = 'Import  Names';
	[flag, fig] = figflag(importDBName);
	% Since I don't use userdata the controld can disappear without the
	% window doing so. This causes some confusion......
	% Should switch to userdata or kill the window every time.
	
	if ~figflag(importDBName)
	% create new main window
		importDBFig  = figure('name',importDBName, 'numbertitle','off', 'color', [0.7, 0.7, 0.7],...
				'resize','off','position', [200  150 155 155], 'menubar', 'none');
		% I think that by setting 'DestroyFcn' to something that doesn't do anything
		% one can avoid that the user deletes the window. This isn't implemented anywhere
		% though. Try it later. Maybe it only works 4.2 in which case I shouldn't use it.
		clf;                                                               % clear figure	
			
		%% for later implementation %% scrnSize = get(fig, 'screensize');
		
		tcolor =0.5*[1 1 1];
		%create inputBoxes (from bottom up?)
		IDBCancelButt =GUIfit182Button('Cancel', 'GUIfit182ImportDB(''doCancel'')', [15  5  60 18], 'red');
		IDBOKButt = GUIfit182Button('OK', 'GUIfit182DataIn', [85  5 60 18], 'green');
		
		% This is the name we build everything from if names aren't set already
		
		if  ~vexist ('ENbasename')
			doit = 1;
		elseif  strcmp(ENbasename,'')
			doit = 1;
		end
		if (doit)
			if  ~vexist ('ENyData')
				ENbasename= ('data');
			elseif   strcmp(ENyData,'')
				ENbasename= ('data');
			else
				ENbasename= ENyData;
			end
		end
		
		box0=GUIfit182Editbox('error data (optional)', tcolor,[15 45 125 18]);
		set(box0, 'callback', 'GUIfit182ImportDB(''Sigma'')'); % for identification
		if ~vexist('ENsigma')
			ENsigma = ['SG', ENbasename];
		elseif strcmp(ENxData,'')
			ENsigma=  ['SG', ENbasename];
		end
		
		box1=GUIfit182Editbox('X data', tcolor );
		set(box1, 'callback', 'GUIfit182ImportDB(''Xdata'')'); % for identification
		
		if  ~vexist ('ENxData')
			ENxData = ['X', ENbasename];
		elseif strcmp(ENxData,'')
			ENxData = ['X', ENbasename];
		end
		set (box1, 'string', ENxData);
		
		box2=GUIfit182Editbox('Y data',tcolor);
		set(box2, 'callback', 'GUIfit182ImportDB(''Ydata'')'); % for identification
		
		if ~vexist ('ENyData') 
			ENyData = ['Y', ENbasename];
		elseif strcmp(ENyData,'')
			ENyData = ['Y', ENbasename];
		end
		set (box2, 'string', ENyData);
	end
elseif strcmp (fun, 'Ydata')
elseif strcmp (fun, 'Xdata')
elseif strcmp (fun, 'Sigma')
elseif  strcmp(fun, 'doOK')
	% read in all names of variables

	error = 0;
	box3 = findobj(gcf, 'callback', 'GUIfit182ImportDB(''Sigma'')');
	box1 = findobj(gcf, 'callback', 'GUIfit182ImportDB(''Xdata'')');
	box2 = findobj(gcf, 'callback', 'GUIfit182ImportDB(''Ydata'')');
	for n=1:2
		ss =  ['str =  get(box', num2str(n), ', ''string'');']
		eval(ss);
		
		if n == 1
			ENxData = str;
		elseif n ==2
			ENyData = str;
		end
	
		if ~strcmp(str,'')
			if n == 1
				extVarNames = str;
			else
				extVarNames = str2mat(extVarNames, str);
			end
		else
			error = 1;		
		end
	end
		
	if  ~error	
		str = get (box3, 'string');
		if str ~= ''
			outarg2 = str2mat('xData','yData','Sigma');
			ENsigma = str;
			extVarNames = str2mat(extVarNames, str);
		else   
			outarg2 = str2mat('xData','yData');
		end
		set (gcf, 'visible', 'off');
		isModal = 0;
		outarg1 = extVarNames;		
		status = 'OK';
		
	else 
		sysbeep;
	 	str = ['Both Xdata and Ydata variable names must be specified'];
		dialog ('style', 'error', 'textstring', str, 'name', 'Import Error:'); 
		outarg1 = '';
		outarg2 = '';
		status = 'error';
	end
	
elseif strcmp(fun, 'doCancel')
	set (gcf, 'visible', 'off')
	isModal = 0;	
end
		
