function [] = GUIfit182InterpDB(fun)

global GUIfit182winName

if nargin == 0
	fun = 'create';
end


if strcmp(fun , 'create')
	winname = 'Interpolate Xdata';
	[flag, fig] = figflag(winname, 0);
	if ~flag
		col = 0.72*[1 1 1];
		importDBFig  = figure('name',  winname, 'numbertitle','off', 'color',col,...
				'resize','off','position', [200 150 255 120], 'menubar', 'none');
		
		tcolor =0.5*[1 1 1];
		%create inputBoxes (from bottom up?)
		GUIfit182Button('Cancel', 'GUIfit182InterpDB(''doCancel'')', [65  5  60 18], 'red');
	    GUIfit182Button('OK', 'GUIfit182InterpDB(''doOK'')', [135  5 60 18], 'green');
	
		box1=GUIfit182Editbox('number of added points', tcolor, [65 45 125 18]);
		set(box1, 'callback', 'GUIfit182InterpDB(''numRet'')'); % for identification
		text1=uicontrol('style', 'text', 'string', ...
'Number of points to add between each pair of points, to X vector used to evaluate fit & seed.', ...
									 'position', [5 65 250 40]);
	end
elseif strcmp(fun,  'numRet');
   num= floor(sscanf(get(gco, 'string'), '%f'));
elseif  strcmp(fun, 'doCancel')
	set(gcf, 'Visible', 'off')
elseif  strcmp(fun, 'doOK')
	e = findobj(gcf, 'callback' ,'GUIfit182InterpDB(''numRet'')');
 	num= sscanf(get(e, 'string'), '%f');
	[flag, fig]  = figflag(GUIfit182winName, 1);
	m = findobj(fig, 'accelerator', 'I');
	get(m)
	set(m, 'checked', 'on');
	Axes182SetExt(m,  'number', 'intN', num);
	set(gcf, 'Visible', 'off')
	plotfit = GUIfit182Plot('getPlotFit')
	plotseed = GUIfit182Plot('getPlotSeed')
%	if (plotfit & fitParVals ~= '') | plotseed
		GUIfit182Plot('plotTrunc');
%	end
end
