function [resV] = GUIfit182Ipv(inV, n)

%interpolate vector linearly with 'n' points between every pair of points.

% vectors are columnwise here
sz = size(inV);
inV= inV(:);

V1 = inV(1:length(inV)-1) 
V2 = inV(2:length(inV))

base = [];
for  k =0:n
	base = [base V1];
end
Vmat= [base + (V2-V1) * ((0:n)/(n+1))]';
resV = [Vmat(:);  inV(length(inV))];

% if input was a rowwise  vector return a row vector
if sz(1) == 1
	resV = resV';
end


