function [Y,dYda]=GUIlinfit(x,A)
% LINFIT Linear curve fitting module.
% Y=A(1) .* x + A(2)

if nargin == 0
	Y = str2mat ('LINFIT Linear curve fitting module', ...
	                      'Y=p1 * x + p2');
%	Y = str2mat ('LINFIT Linear curve fitting module', ...
%	                      'Y=p1 * x + p2', 'Testing another line');
%    Y = str2mat ('LINFIT Linear curve fitting module|Y=p1 * x + p2');
	return
end

x=x(:);
npar=length(A);
Y=A(1) .* x + A(2);

dYda=zeros(length(x),npar);
dYda(:,1)= x;
dYda(:,2)= ones(length(x),1);



