% this gets data from hp16500b and plots it

slot=2;

fclose('all');
hpstartaquire(slot);
hpwaitaquire(slot);
datadir='/net/hp16500b/logic/slot_b/data.asc/machine1/';
xadd=readhpdata(datadir,'x7.txt');
yadd=readhpdata(datadir,'y7.txt');
times=readhpdata(datadir,'time_abs.txt');
disp(['total time ', num2str(max(times))]);

hist2d(xadd,yadd);
hist2dhan=gcf;
title 'average spike activity'

showspikes(xadd,yadd,times);
title 'spike animation'

figure;
dt=times(2:length(times))-times(1:length(times)-1);
hist(log10(dt),30);
histtimeshan=gcf;
title 'spike intervals'
xlabel 'log10(interval) (s)'
ylabel 'number of spikes'

