function Plot182Data(f)

cp=get(gca,'Children');

global data lens len cnt

% save data for revert
if f~=0,
	cnt=0;
	len=0;
	for i=1:length(cp),
		if strcmp(get(cp(i),'Type'),'line'),
			cnt=cnt+1;
			len=len+length(get(cp(i),'XData'));
		end;
	end;
	data=zeros(1,2*len);
	lens=zeros(1,cnt);
	dp=1;
	for i=1:length(cp),
		if strcmp(get(cp(i),'Type'),'line'),
			x=get(cp(i),'Xdata');
			y=get(cp(i),'Ydata'); 
			dp1=dp+length(x)+length(y)-1;
			data(dp:dp1)=[x,y];
			dp=dp1+1;
			lens(i)=length(x);
		end;
	end;
end;

if f==0, % revert data
	if isempty(cnt),
		sysbeep;
		disp('No data to revert');
		return;
	end;
	dp=1;
	for i=1:length(cp),
		if strcmp(get(cp(i),'Type'),'line'),
			dp1=dp+lens(i)-1;
			x=data(dp:dp1);
			dp=dp1+1;
			dp1=dp+lens(i)-1;
			y=data(dp:dp1);
			set(cp(i),'Xdata',x);
			set(cp(i),'Ydata',y);
			dp=dp1+1;
		end;
	end;

elseif f==1,
	for i=1:length(cp),
		if strcmp(get(cp(i),'Type'),'line'),
			dp=get(cp(i),'XData');
			dp=-dp;
			set(cp(i),'XData',dp);
		end;
	end;
elseif f==2,
	for i=1:length(cp),
		if strcmp(get(cp(i),'Type'),'line'),
			dp=get(cp(i),'YData');
			dp=-dp;
			set(cp(i),'YData',dp);
		end;
	end;
elseif f==3,
	for i=1:length(cp),
		if strcmp(get(cp(i),'Type'),'line'),
			dp=get(cp(i),'XData');
			dp=abs(dp);
			set(cp(i),'XData',dp);
		end;
	end;
elseif f==4,
	for i=1:length(cp),
		if strcmp(get(cp(i),'Type'),'line'),
			dp=get(cp(i),'YData');
			dp=abs(dp);
			set(cp(i),'YData',dp);
		end;
	end;
elseif f==5,
	s=input('xdata=f(x,y,i), f= ','s');
	for i=1:length(cp),
		if strcmp(get(cp(i),'Type'),'line'),
			x=get(cp(i),'XData');
			y=get(cp(i),'YData');
			eval(['f = ',s,';']);
			set(cp(i),'XData',f);
		end;
	end;
elseif f==6,
	s=input('ydata=f(x,y,i), f= ','s');
	for i=1:length(cp),
		if strcmp(get(cp(i),'Type'),'line'),
			x=get(cp(i),'XData');
			y=get(cp(i),'YData');
			eval(['f = ',s,';']);
			set(cp(i),'YData',f);
		end;
	end;
end;

if( strcmp(get(gca,'XLimMode'),'auto') ),
	set(gca,'XLimMode','manual'); % bug in 4.1 means must do this first
	set(gca,'YLimMode','manual');
	set(gca,'XLimMode','auto');
	set(gca,'YLimMode','auto');
end;
refresh;

