function Plot182LineDial(f,arg)
% not finished, intended to be line editing dialog

if nargin==0, f='create'; arg=[]; end;

global Plot182LineDialFig linedial currentobj currentfig

if strcmp(f,'create'),
		currentobj=arg;
		linestyle=get(currentobj,'LineStyle');
		linewidth=get(currentobj,'LineWidth');
		markersize=get(currentobj,'MarkerSize');
		color=get(currentobj,'Color');
		
		DlgName='Line Style';
		[flag,fig]=figflag(DlgName,1);
		if  figflag(DlgName),
 			% No need to create new dialog

 			a=get(linedial(1),'String'); b=size(a);
			val=1;
			for i=1:b(1),
				if sscanf(a(i,:),'%f')==linewidth, val=i; end;
			end
			set(linedial(1),'Value',val);
 			
			a=get(linedial(3),'String'); b=size(a);
			val=1;
			for i=1:b(1),
				if strcmp([' ',linestyle],deblank(a(i,:))), val=i; end;
			end
			set(linedial(3),'Value',val);

			set(linedial(4),'String',int2str(markersize));
			
	 		return
	   	end
		ForegroundColor = get(0,'DefaultUIControlForegroundColor');
		BackgroundColor = get(0,'DefaultUIControlBackgroundColor');
		set(0,'Units','normalized');
		
		% Get layout parameters
		ScreenUnits = get(0,'Units');
		set(0,'Units','pixels');
		ScreenPos = get(0,'ScreenSize');
		set(0,'Units',ScreenUnits);

		
		fp=[ScreenPos(3)*.4,ScreenPos(4)*.4,200,120];
		Plot182LineDialFig=figure(...
			'Units','pixels','Position',fp,...
			'NumberTitle','off','Name',DlgName, ...
 			'NextPlot','new','Resize','off','MenuBar','none', ...
 			'Color',BackgroundColor);

		fp=[0,0,1,1];

		buth=.2;
		butw=.35;
		butsp=.03;
		butl=.03;
		textw=.3; textoffv=.05;

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% close box

		set(Plot182LineDialFig,'Units','normalized');
		
		cb='Plot182LineDial(''done'')'; st='Close';
		uicontrol(Plot182LineDialFig,...
			'Style','pushbutton',...
			'Position',[.8,.01,.3,buth],...
			'Units','normalized',...
			'String',st,...
			'Callback',cb);
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% delete box

		set(Plot182LineDialFig,'Units','normalized');
		
		cb='Plot182LineDial(''delete'')'; st='Delete';
		uicontrol(Plot182LineDialFig,...
			'Style','pushbutton',...
			'Position',[.8,.01+buth+.02,.3,buth],...
			'Units','normalized',...
			'BackgroundColor','red','String',st,...
			'Callback',cb);
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% linewidth popup		
		butn=1;
		st='LineWidth'; 
		uicontrol(Plot182LineDialFig,...
			'Style','text',...
			'Position',[butl,butsp+(butn-1)*(buth+butsp)-textoffv,textw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
			
		st='.1|.25|.5|1|2';
		cb='Plot182LineDial(''setlinewidth'')';
		linedial(1)=uicontrol(Plot182LineDialFig,...
			'Style','popupmenu','String',st,'Value',val,...
			'Position',[butl+textw,butsp+(butn-1)*(buth+butsp),butw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
 
 			a=get(linedial(1),'String'); b=size(a);
			val=1;
			for i=1:b(1),
				if sscanf(a(i,:),'%f')==linewidth, val=i; end;
			end
			set(linedial(1),'Value',val);


 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% color
		butn=2;
		st='Color';
		uicontrol(Plot182LineDialFig,...
			'Style','text',...
			'Position',[fp(1)+butl,fp(2)+butsp+(butn-1)*(buth+butsp)-textoffv,textw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st=' |black|red|green|blue|cyan|white|';
		cb='Plot182LineDial(''setlinecolor'')';
		linedial(2)=uicontrol(Plot182LineDialFig,...
			'Style','popupmenu','String',st,...
			'Position',[fp(1)+butl+textw,fp(2)+butsp+(butn-1)*(buth+butsp),butw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% linestyle

		butn=3;
		st='LineStyle';
		uicontrol(Plot182LineDialFig,...
			'Style','text',...
			'Position',[fp(1)+butl,fp(2)+butsp+(butn-1)*(buth+butsp)-textoffv,textw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st=' | -| --| :| -.| +| o| *| .| x';
		cb='Plot182LineDial(''setlinestyle'')';
		linedial(3)=uicontrol(Plot182LineDialFig,...
			'Style','popupmenu','String',st,'Value',val,...
			'Position',[fp(1)+butl+textw,fp(2)+butsp+(butn-1)*(buth+butsp),butw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);

			a=get(linedial(3),'String'); b=size(a);
			val=1;
			for i=1:b(1),
				if strcmp([' ',linestyle],deblank(a(i,:))), val=i; end;
			end
			set(linedial(3),'Value',val);


 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		

		butn=4;
		st='MarkerSize';
		uicontrol(Plot182LineDialFig,...
			'Style','text',...
			'Position',[fp(1)+butl,fp(2)+butsp+(butn-1)*(buth+butsp)-textoffv,textw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st=sprintf('%d',markersize);
		cb='Plot182LineDial(''setmarkersize'')';
		linedial(4)=uicontrol(Plot182LineDialFig,...
			'Style','edit','String',st,...
			'Position',[fp(1)+butl+textw,fp(2)+butsp+(butn-1)*(buth+butsp),butw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'Min',1,'Max',0,'CallBack',cb);
		drawnow;
		
		figure(Plot182LineDialFig)
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
		
elseif strcmp(f,'done'),
	set(Plot182LineDialFig,'visible','off');
	figure(get(get(currentobj,'Parent'),'Parent'));
	refresh;

elseif strcmp(f,'delete'),
	set(Plot182LineDialFig,'visible','off');
	figure(get(get(currentobj,'Parent'),'Parent'));
	delete(currentobj);
	refresh;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

elseif strcmp(f,'setlinewidth'),
	val=get(linedial(1),'Value');
	st=get(linedial(1),'String');
	set(currentobj,'LineWidth',sscanf(st(val,:),'%f'));
	refresh;

elseif strcmp(f,'setlinecolor'),
	val=get(linedial(2),'Value');
	st=get(linedial(2),'String');
	set(currentobj,'Color',st(val,:));
	refresh;

elseif strcmp(f,'setlinestyle'),
	val=get(linedial(3),'Value');
	st=get(linedial(3),'String');
	set(currentobj,'LineStyle',st(val,:));
	refresh;

elseif strcmp(f,'setmarkersize'),
	val=get(linedial(4),'String');
	set(currentobj,'MarkerSize',sscanf(val,'%d'));
	refresh;	
					
end;
