function Plot182Scale(f)
global xsplog xsplin ysplog ysplin holdp gridp

if f==1,
	set(gca,'XScale','linear');
	set(xsplin,'Checked','on');
	set(xsplog,'Checked','off');
elseif f==2,
	set(gca,'XScale','log');
	set(xsplin,'Checked','off');
	set(xsplog,'Checked','on');
elseif f==3,
	set(gca,'YScale','linear');
	set(ysplin,'Checked','on');
	set(ysplog,'Checked','off');
elseif f==4,
	set(gca,'YScale','log');
	set(ysplin,'Checked','off');
	set(ysplog,'Checked','on');
elseif f==5, % toggle hold
	next=get(gca,'NextPlot');
	if strcmp(next,'add'),
		set(gca,'NextPlot','replace');
		set(holdp,'Checked','off');
	else,
		set(gca,'NextPlot','add');
		set(holdp,'Checked','on');
	end;
elseif f==6, % toggle grid
	XGrid=get(gca,'XGrid');
	YGrid=get(gca,'YGrid');
	if strcmp(XGrid,'on'), 
		XGrid='off';
		YGrid='off';
		set(gridp,'Checked','off');
	else
		XGrid='on';
		YGrid='on';
		set(gridp,'Checked','on');
	end;
	set(gca,'XGrid',XGrid);
	set(gca,'YGrid',YGrid);
%elseif f==7,
%	disp('X limits');
%	l=get(gca,'XLim');
%	b=getnumberordefault('Lower? ',l(1));
%	t=getnumberordefault('Upper? ',l(2));
%	set(gca,'Xlim',[b,t]);
%elseif f==8,
%	disp('Y limits');
%	l=get(gca,'YLim');
%	b=getnumberordefault('Lower? ',l(1));
%	t=getnumberordefault('Upper? ',l(2));
%	set(gca,'Ylim',[b,t]);
end;
figure(gcf);
