function [int] = PIntfromString(str,num)
% returns the numerical positive value of the integer starting
% at position num in string

if nargin == 1
   num = 1;
end

if (isempty(str))
  int = -2;
elseif (num < 1) | (num > length(str))
  int = -1;
else
  if (length(str) == 1)
     %Special case; make longer string  
     str = [str(1) '     '];
  end
  str = abs(str);
  int = 0;
  while num <= length(str)
    digit = str(num) - 48;
    if ( digit < 0 | digit > 9)
      break;
    end
    int = 10 * int + digit;
    num = num + 1;
  end
end
