function [name,index]=ParseString(stream,index,delimiter)
% function [name,nextindex]=parsename(stream,index,[delimiter])
% Parses out a name assuming names are divided by any character
% contained in the string delimiter.
% delimiter defaults to [blank]
%   Parsing starts at index.

if (nargin==2),delimiter=' ';end
Ldelimiter=length(delimiter);

stillparsing=1;
NameIndex=1;
lengthofstream=length(stream);



% Find beginning of word(s). This is necessary if more than one
% delimiter is present such as in 'firstword   secondword'
notword=1;

while notword,
 if index > lengthofstream,
  name='';
   index=-1;
  return;
 end
 
 notword=0;
 for i=1:Ldelimiter,
  if(delimiter(i)==stream(index)), notword=1; end
 end
 if notword, index=index+1; end
end

 


while stillparsing,
 for k=1:Ldelimiter,
  if(delimiter(k)==stream(index)), stillparsing = 0; end
 end
 
  if stillparsing,
   name(NameIndex)=stream(index);
   if (index==lengthofstream), stillparsing=0; end
  end
 
 index=index+1;
 NameIndex = NameIndex+1;
end
