function y=getstringordefault(question,default)
% function y=getstringordefault(question,default)
% Returns input string if empty string not entered.
% if input string is empty, returns default.
%
% see also: getnumberordefault

% Initialize values
true=1; false=0; 

% Define Query
question = [question,' [',default,'] : '];

% Query user until an acceptable response is made.
 		y=input(question,'s');
 		if isempty(y),
  			y=default; 
			end
