function c_popset
%
%
%  SPEEDS UP Popupmenu selection
%
%

% AUTHOR: Patrick Marchand (PRMarchand@aol.com)

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 

cf = findobj(get(0,'children'),'flat','tag','control_figure');
h_pop_c_type = findobj(cf,'tag','h_pop_c_type');

handles = get(h_pop_c_type,'userdata');
strings = get(h_pop_c_type,'string');
val = get(h_pop_c_type,'val');

if strcmp(dblnkall(lower(strings(val,:))),'uicontrol')
  set(handles(2:5),'visible','off');
  set(handles(1),'visible','on');
elseif strcmp(dblnkall(lower(strings(val,:))),'uimenu')
  set(handles([1 3:5]),'visible','off');
  set(handles(2),'visible','on');
elseif strcmp(dblnkall(lower(strings(val,:))),'axes')
  set(handles([1 2 4 5]),'visible','off');
  set(handles(3),'visible','on');
elseif strcmp(dblnkall(lower(strings(val,:))),'text')
  set(handles([1:3 5]),'visible','off');
  set(handles(4),'visible','on');
elseif strcmp(dblnkall(lower(strings(val,:))),'other')
  set(handles(1:4),'visible','off');
  set(handles(5),'visible','on');
end
drawnow;
