% GUI Maker Application
% Version 2.0 21-Apr-95
%
%
% Application
%
%    guimaker	- Script for starting up GUI Maker 2.0
%
% Tools
%
%   cbk_edtr	- Callback Editor
%   guipalte	- creates GUI creation palette tool   
%   newgui2	- main program for GUI Maker 2.0
%   ng_abr_w	- axes browser
%   ng_aln_w	- alignment tool
%   ng_apv_w	- object property/value editor
%   ng_cbr_w	- uicontrol browsers
%   ng_fbr_w	- figure browser
%   ng_hlp_w	- help window
%   ng_ld_w	- load window
%   ng_mbr_w	- uimenu browser
%   ng_prt_w	- print tool (prints uicontrol and uimenu objects too.)
%   ng_tbr_w	- text browser
%
% Generally Useful Functions
%
%   dblnkall	- deblanks the spaces in front and back of string.
%   getrbbox	- draws a rubber box and returns the rect vector.
%   isobj	- determines if a handle is an existing graphics object.
%   mat2str2	- converts matrices to strings.
%   mouseopr	- defines the properties of the mouse in a GUI canvas.
%   scrllwin	- creates scroll bar windows out of a text and slider ui
%   str2clbk    - takes a legal matlab string and converts ' to ''.
%   ques2ans	- question to answer dialog box.
%
% Examples
%
%   example1	- radio button example
%   example2	- slider and display of value example
%   example3	- figure control example.
%
% Other Related to GUI Maker only
%
%   cr_obj	- creates objects
%   cr_obj_p	- creates objects with creation palette
%   cur_can	- determines which figure is the current canvas
%   keycomm	- defines keypresses within the figure as specific actions   
%   ld_mfile	- loads a figure or m-file into GUI Maker domain.
%   m_fol	- used to move objects in canvas.
%   m_resize	- used to resize objects in canvas.
%   mk_mfile	- creates m-files from canvases.
%   mk_tax_t	- creates axes and text object scripts.
%   mk_ui_t	- creates uicontrol and uimenu scripts.
%   mode_set	- quickens mode window display system.
%   print_ui	- prints objects in x-windows form.
%   scan4clbk	- scans files for changes in callback.
%   sel_fol	- defines selection with mouse pointer.
%   uim_cbk	- creates uimenu callback function
%   un_sel_h	- works with uimenus to show whether they are selected or not
%   valid_fn	- looks to see if the filename is valid
%   win_uim	- defines the Windows menu in the GUI Maker tool.
% 
