function keycomm(fig)
%
% Specifies which keys operate specific GUI Maker options.
%
%

% AUTHOR: Patrick Marchand

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 

command = abs(get(fig,'currentchar'));

if command > 0
wf = findobj(get(0,'children'),'flat','tag','control_figure');

if wf
	if command == 1 | command == 97			% ctrl-a
	    ng_aln_w('new','working_figure');
	elseif command == 21 | command == 117			% ctrl-u
	    newgui2('h_push_e_undo');
	elseif command == 3 | command == 99			% ctrl-c
	    newgui2('h_push_e_copy');
	elseif command == 22 | command == 118			% ctrl-v
	    newgui2('h_push_e_paste');
	elseif command == 4 | command == 100			% ctrl-d
	    newgui2('h_push_e_delete');
	elseif command == 13 | command == 109			% ctrl-m
	   set(gcf,'selectiontype','normal');
	   if strcmp(get(gcf,'pointer'),'arrow')
		eval(get(gcf,'windowbuttondownfcn'))
	   else
		eval(get(gcf,'windowbuttonupfcn'))
	   end
	elseif command == 77 | command == 140			% ctrl-M
	   set(gcf,'selectiontype','extend');
	   if strcmp(get(gcf,'pointer'),'arrow')
		eval(get(gcf,'windowbuttondownfcn'))
	   else
		eval(get(gcf,'windowbuttonupfcn'))
	   end
	end

end
end
