function mode_set(param);
%
%
%
% set the mode
%
%
%
%
%
%

% AUTHOR: Patrick Marchand
 
% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


cf = findobj(get(0,'children'),'flat','tag','control_figure');
hm_modes = findobj(cf ,'tag','hm_modes');
hm_modes_cr = findobj(cf ,'tag','hm_modes_cr');
hm_modes_sel = findobj(cf ,'tag','hm_modes_sel');
hm_modes_edit = findobj(cf ,'tag','hm_modes_edit');
hm_options_up = findobj(cf ,'tag','hm_options_up');
st = findobj(cf,'tag','h_text_status');

last_mode = get(hm_modes,'userdata');

if param == 1 & last_mode ~= 1
   if last_mode == 2
	set(hm_modes_sel,'checked','off');
      udata = get(hm_modes_sel,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_modes_cr,'userdata');
	ind = find(udata(2,:));
	set(udata(1,6),'val',1);
	set(udata(1,ind),'visible','on')
   elseif last_mode == 3
	set(hm_modes_edit,'checked','off');
      udata = get(hm_modes_edit,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_modes_cr,'userdata');
	ind = find(udata(2,:));
	set(udata(1,6),'val',1);
	set(udata(1,ind),'visible','on')
   elseif last_mode == 4
	set(hm_options_up,'checked','off');
      udata = get(hm_options_up,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_modes_cr,'userdata');
	ind = find(udata(2,:));
	set(udata(1,6),'val',1);
	set(udata(1,ind),'visible','on')
   end
   set(hm_modes,'userdata',1);
	set(hm_modes_cr,'checked','on');
	set(st,'string','Create Mode Selected');
elseif param == 2 & last_mode ~= 2
   if last_mode == 1
	set(hm_modes_cr,'checked','off');
      udata = get(hm_modes_cr,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_modes_sel,'userdata');
	ind = find(udata(2,:));
	set(udata(1,ind),'visible','on')
   elseif last_mode == 3
	set(hm_modes_edit,'checked','off');
      udata = get(hm_modes_edit,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_modes_sel,'userdata');
	ind = find(udata(2,:));
	set(udata(1,ind),'visible','on')
   elseif last_mode == 4
	set(hm_options_up,'checked','off');
      udata = get(hm_options_up,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_modes_sel,'userdata');
	ind = find(udata(2,:));
	set(udata(1,ind),'visible','on')
   end
   set(hm_modes,'userdata',2);
	set(hm_modes_sel,'checked','on');
	set(st,'string','Select Mode Selected');
elseif param == 3 & last_mode ~= 3
   if last_mode == 2
	set(hm_modes_sel,'checked','off');
      udata = get(hm_modes_sel,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_modes_edit,'userdata');
	ind = find(udata(2,:));
	set(udata(1,ind),'visible','on')
   elseif last_mode == 1
	set(hm_modes_cr,'checked','off');
      udata = get(hm_modes_cr,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_modes_edit,'userdata');
	ind = find(udata(2,:));
	set(udata(1,ind),'visible','on')
   elseif last_mode == 4
	set(hm_options_up,'checked','off');
      udata = get(hm_options_up,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_modes_edit,'userdata');
	ind = find(udata(2,:));
	set(udata(1,ind),'visible','on')
   end
   set(hm_modes,'userdata',3);
	set(hm_modes_edit,'checked','on');
	set(st,'string','Edit Mode Selected');
elseif param == 4 & last_mode ~= 4
   if last_mode == 2
	set(hm_modes_sel,'checked','off');
      udata = get(hm_modes_sel,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_options_up,'userdata');
	ind = find(udata(2,:));
	set(udata(1,ind),'visible','on')
   elseif last_mode == 3
	set(hm_modes_edit,'checked','off');
      udata = get(hm_modes_edit,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_options_up,'userdata');
	ind = find(udata(2,:));
	set(udata(1,ind),'visible','on')
   elseif last_mode == 1
	set(hm_modes_cr,'checked','off');
      udata = get(hm_modes_cr,'userdata');
	set(udata(1,:),'visible','off')
      udata = get(hm_options_up,'userdata');
	ind = find(udata(2,:));
	set(udata(1,ind),'visible','on')
   end
   set(hm_modes,'userdata',4);
	set(hm_options_up,'checked','on');
	set(st,'string','User Preferences');
end
if param == 2 | param == 3
	fig_pal = findobj(get(0,'children'),'flat','tag','guimaker_palette');
	if fig_pal
	  h_all = get(fig_pal,'user');
	  ind = find(h_all(3,:) == 1);
	  set(h_all(1,ind),'vis','on');
	  set(h_all(2,ind),'vis','on');
	  h_all(3,ind) = 0*ones(size(ind));
	  set(h_all(1,1),'vis','off');
	  set(h_all(2,1),'vis','on');
	  h_all(3,1) = 1;
	  set(fig_pal,'userdata',h_all);
	end
  end
drawnow;
