function ng_fbr_w(command,parameter1) 
%  Template for uicontrol form. 
%   
%  If you rename this file: 
%    1. Replace all occurrences of 'ng_fbr_w' with desired 'filename'. 
%    2. Resave this file as that 'filename'. 
%   
%  To edit callbacks : 
%          Fill in the 'elseif command == ...' sections with 
%          code that does something other than what was  
%          defined in GUIMaker 2.0. Be creative! 
%          The code must lie between the CALLBACK_START and  
%          CALLBACK_STOP comments for each objects callback  
%          command section. 
%   
%  ng_fbr_w.m 
%   
%  usage:       ng_fbr_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 17-Apr-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  PRM
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_push_fig_cont')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_edit_fig_name')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_pop_fig_mb')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_pop_fig_ami')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_pop_fig_nt')) 
		command = 5; 
	elseif strcmp(lower(command),lower('h_pop_fig_rs')) 
		command = 6; 
	end 
end 

if command ~= 0 
	handle_list = get(gcf,'userdata'); 
	if length(handle_list) > 0 
		h_frame_fig = handle_list(1); 
		h_push_fig_cont = handle_list(2); 
		h_edit_fig_name = handle_list(3); 
		h_text_fig_stat = handle_list(4); 
		h_text_fig_am = handle_list(5); 
		h_text_fig_menubar = handle_list(6); 
		h_text_fig_R = handle_list(7); 
		h_text_fig_NT = handle_list(8); 
		h_text_fig_name = handle_list(9); 
		h_pop_fig_mb = handle_list(10); 
		h_pop_fig_ami = handle_list(11); 
		h_pop_fig_nt = handle_list(12); 
		h_pop_fig_rs = handle_list(13); 
	end 
end 


if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','ng_fbr_w');
	if length(fig) > 0
	   figure(fig);
	   set(fig,'visible','on');
	   return
	end
	fig = figure('position',[ 18 623 396 170 ]...
		,'resize','off','tag','ng_fbr_w','name','FigureBrowser',...
		'numbertitle','off','visible','off'); 

	%  Uicontrol Object Creation 

	h_frame_fig = uicontrol(... 
		'CallBack','ng_fbr_w(''h_frame_fig'');',... 
		'Position',[ 0 0 1 1 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_fig',... 
		'UserData',''); 
	h_push_fig_cont = uicontrol(... 
		'CallBack','ng_fbr_w(''h_push_fig_cont'');',... 
		'Position',[ 0.783 0.818 0.187 0.141 ],... 
		'String','Close',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Interruptible','yes',...
		'Tag','h_push_fig_cont',... 
		'UserData',0); 
	h_edit_fig_name = uicontrol(... 
		'CallBack','ng_fbr_w(''h_edit_fig_name'');',... 
		'Position',[ 0.45 0.632 0.5 0.13 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_fig_name',... 
		'UserData',''); 
	h_text_fig_stat = uicontrol(... 
		'CallBack','ng_fbr_w(''h_text_fig_stat'');',... 
		'Position',[ 0.044 0.818 0.715 0.135 ],... 
		'String','Choose GUI figure attributes.',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_fig_stat',... 
		'UserData',''); 
	h_text_fig_am = uicontrol(... 
		'CallBack','ng_fbr_w(''h_text_fig_am'');',... 
		'Position',[ 0.023 0.107 0.396 0.13 ],... 
		'String','AllowMultipleInstances:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_fig_am',... 
		'UserData',''); 
	h_text_fig_menubar = uicontrol(... 
		'CallBack','ng_fbr_w(''h_text_fig_menubar'');',... 
		'Position',[ 0.02 0.237 0.4 0.13 ],... 
		'String','Menubar:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_fig_menubar',... 
		'UserData',''); 
	h_text_fig_R = uicontrol(... 
		'CallBack','ng_fbr_w(''h_text_fig_R'');',... 
		'Position',[ 0.02 0.367 0.4 0.13 ],... 
		'String','Resize:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_fig_R',... 
		'UserData',''); 
	h_text_fig_NT = uicontrol(... 
		'CallBack','ng_fbr_w(''h_text_fig_NT'');',... 
		'Position',[ 0.02 0.497 0.4 0.13 ],... 
		'String','NumberTitle:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_fig_NT',... 
		'UserData',''); 
	h_text_fig_name = uicontrol(... 
		'CallBack','ng_fbr_w(''h_text_fig_name'');',... 
		'Position',[ 0.02 0.627 0.4 0.13 ],... 
		'String','Name:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_fig_name',... 
		'UserData',''); 
	h_pop_fig_mb = uicontrol(... 
		'CallBack','ng_fbr_w(''h_pop_fig_mb'');',... 
 		'Position',[ 0.55 0.242 0.3 0.13 ],... 
		'String','Figure|None',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_fig_mb',... 
		'UserData',''); 
	h_pop_fig_ami = uicontrol(... 
		'CallBack','ng_fbr_w(''h_pop_fig_ami'');',... 
 		'Position',[ 0.55 0.112 0.3 0.13 ],... 
		'String','Yes|No',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_fig_ami',... 
		'UserData',''); 
	h_pop_fig_nt = uicontrol(... 
		'CallBack','ng_fbr_w(''h_pop_fig_nt'');',... 
 		'Position',[ 0.55 0.502 0.3 0.13 ],... 
		'String','On|Off',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_fig_nt',... 
		'UserData',''); 
	h_pop_fig_rs = uicontrol(... 
		'CallBack','ng_fbr_w(''h_pop_fig_rs'');',... 
 		'Position',[ 0.55 0.372 0.3 0.13 ],... 
		'String','On|Off',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_fig_rs',... 
		'UserData',''); 


	%  Menu Object Creation 


	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_fig h_push_fig_cont h_edit_fig_name ... 
	 	h_text_fig_stat h_text_fig_am h_text_fig_menubar h_text_fig_R ... 
	 	h_text_fig_NT h_text_fig_name h_pop_fig_mb h_pop_fig_ami ... 
	 	h_pop_fig_nt h_pop_fig_rs ... 
	 	 	]; 

	set(gcf,'userdata',handle_list); 
	drawnow;pause(1);
	set(fig,'visible','on');

elseif command == 1 
%	disp('h_push_fig_cont selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_push_fig_cont
	set(findobj(get(0,'children'),'flat','tag','ng_fbr_w'),'visible','off'); 
	drawnow;
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_push_fig_cont 
elseif command == 2 
%	disp('h_edit_fig_name selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_edit_fig_name 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_edit_fig_name 
elseif command == 3 
%	disp('h_pop_fig_mb selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_pop_fig_mb 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_pop_fig_mb 
elseif command == 4 
%	disp('h_pop_fig_ami selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_pop_fig_ami 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_pop_fig_ami 
elseif command == 5 
%	disp('h_pop_fig_nt selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_pop_fig_nt 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_pop_fig_nt 
elseif command == 6 
%	disp('h_pop_fig_rs selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_pop_fig_rs 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_pop_fig_rs 
else 
	error('Error: ng_fbr_w.m called with incorrect command.') 
end 
