function scan4cbk(filename,working_fig,start_string,stop_string)
%
%
%  Scans for the appropriate callback functions in a m.file
%
%  USED scan4cbk(filename,working_figure_handle);

if nargin < 3
start_string = '%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START';
end
if nargin < 4
stop_string = '%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP';
end

fid = fopen(filename);
if fid ~= -1
while 1
	line = fgetl(fid);
	if ~isstr(line),break,end;
	if length(line) > 60
	  chk = findstr(line,start_string);
	  out = [];
	  if length(chk) > 0
		 ObjTag = dblnkall(line(chk+length(start_string):length(line)));
		 found_end = 0;
		 first_line_after = 0;
		 while ~found_end
		  line = fgetl(fid);
		  if ~isstr(line),break,end;
		  found_end = length(findstr(line,stop_string));
		  if found_end == 0
		    if first_line_after == 0
		       out = line;
			if length(out) > 0
			  if abs(out(1)) == 9
			   if length(out) > 1
			    out = out(2:length(out));
			   end
			  end
			end
		       first_line_after = 1;
		    else
			if length(line) > 0
			  if abs(line(1)) == 9
			   if length(line) > 1
			    line = line(2:length(line));
			   end
			  end
			end
		      out = [out '|' line];
		    end
		  end
		 end
	   if nargin > 1
	    handle = findobj(working_fig,'tag',ObjTag);
 	    if handle
		set(handle,'userdata',out);
	    end
	   end
	  end
	end
end

fclose(fid);
end
