function sel_fol(command)
%
%  Author :  Patrick Marchand
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 



% Button Down
if command == 1

	old_0_units = get(0,'units');
	set(0,'units','pixels');
	pt1 = get(0,'PointerLocation');
	old_units = get(gcf,'units');
	set(gcf,'units','pixels');
	fig_pos = get(gcf,'position');

	pt1 = pt1 - fig_pos(1:2);

	rbbox([pt1 0 0],pt1);
	pt2 = get(0,'PointerLocation') - fig_pos(1:2);
	if ~((pt1(1)-pt2(1)) == 0 & (pt1(2)-pt2(2)) == 0)
		  if ~strcmp(get(gcf,'selectiontype'),'extend')
		    other_obj = findobj(gcf,'selected','on');
		    set(other_obj,'selected','off');
		  end
	end

	set(gcf,'units',old_units);
	set(0,'units',old_0_units);

	box = [min(pt1,pt2),abs(pt1 - pt2)]; % Compute the enclosing box.
	box(1) = (box(1))/fig_pos(3);
	box(2) = (box(2))/fig_pos(4);
	box(3) = box(3)/fig_pos(3);
	box(4) = box(4)/fig_pos(4);

	

	obj_uic = findobj(gcf,'type','uicontrol');
	obj_ax = findobj(gcf,'type','axes');
	obj_txt = findobj(gcf,'type','text');
	obj_list = [];
	for loop = 1:length(obj_uic)
		old_obj_units = get(obj_uic(loop),'units');
		set(obj_uic(loop),'units','normalized');
		pos_mat = get(obj_uic(loop),'position');
		if pos_mat(1) > box(1) & pos_mat(2) > box(2) & ...
		   (pos_mat(1)+pos_mat(3)) < (box(1)+box(3)) & ...
		   (pos_mat(2)+pos_mat(4)) < (box(2)+box(4))
		   obj_list = [obj_list obj_uic(loop)];
		end
		set(obj_uic(loop),'units',old_obj_units);
	end
	for loop = 1:length(obj_ax)
		old_obj_units = get(obj_ax(loop),'units');
		set(obj_ax(loop),'units','normalized');
		pos_mat = get(obj_ax(loop),'position');
		if pos_mat(1) > box(1) & pos_mat(2) > box(2) & ...
		   (pos_mat(1)+pos_mat(3)) < (box(1)+box(3)) & ...
		   (pos_mat(2)+pos_mat(4)) < (box(2)+box(4))
		   obj_list = [obj_list obj_ax(loop)];
		end
		set(obj_ax(loop),'units',old_obj_units);
	end
	for loop = 1:length(obj_txt)
		old_obj_units = get(obj_txt(loop),'units');
		set(obj_txt(loop),'units','normalized');
		pos_mat = get(obj_txt(loop),'position');
		old_ax_units = get(get(obj_txt(loop),'parent'),'units');
		set(get(obj_txt(loop),'parent'),'units','normalized');
	        ax_pos = get(get(obj_txt(loop),'parent'),'position');
		set(get(obj_txt(loop),'parent'),'units',old_ax_units);
		pos_mat(1) = ax_pos(1)+ax_pos(3)*pos_mat(1);
		pos_mat(2) = ax_pos(2)+ax_pos(4)*pos_mat(2);
		if pos_mat(1) > box(1) & pos_mat(2) > box(2) & ...
		   pos_mat(1) < (box(1)+box(3)) & ...
		   pos_mat(2) < (box(2)+box(4))
		   obj_list = [obj_list obj_txt(loop)];
		end
		set(obj_txt(loop),'units',old_obj_units);
	end
	set(obj_list,'selected','on');
	cf = findobj(get(0,'chil'),'flat','tag','control_figure');
	h_text_st = findobj(cf,'tag','h_text_status');
	if length(obj_list) == 1
	  set(h_text_st,'string',['Selected ' get(obj_list,'tag')]);
	elseif length(obj_list) > 1
	  set(h_text_st,'string',['Selected multiple objects.']);
	end

	if (pt1(1)-pt2(1)) == 0 & (pt1(2)-pt2(2)) == 0
	    if gco ~= gcf
		other_obj = findobj(gcf,'selected','on');
		obj_type = get(gco,'type');
		if strcmp(obj_type,'uicontrol') | strcmp(obj_type,'uimenu') |...
		   strcmp(obj_type,'axes') | strcmp(obj_type,'text')
		 if strcmp(get(gco,'selected'),'on')
		  if ~strcmp(get(gcf,'selectiontype'),'extend')
		    set(other_obj,'selected','off');
		  end
		  set(gco,'selected','off');
		  set(h_text_st,'string',['Unselected ' get(gco,'tag')]);
		 else
		  if ~strcmp(get(gcf,'selectiontype'),'extend')
		    set(other_obj,'selected','off');
		  end
		  set(gco,'selected','on');
		  set(h_text_st,'string',['Selected ' get(gco,'tag')]);
		 end
		else
		end
	    else
	      if ~strcmp(get(gcf,'selectiontype'),'extend')
		set(findobj(gcf,'selected','on'),'selected','off');
		set(h_text_st,'string',['All objects Unselected']);
	      end
	    end
	end

% Button Up
elseif command == 2


end
