function [digit] = DigitfromString(str,num)
% returns the numerical value of the first digit in a string

if nargin == 1
   num = 1;
end

if (isempty(str))
  digit = -2;
elseif (num < 1) | (num > length(str))
  digit = -1;
else
  if (length(str) == 1)
     %Special case; make longer string  
     str = [str(1) 'addon'];
  end
  str = abs(str);
  digit = str(num) - 48;
  if ( digit < 0 | digit > 9)
     digit = -1;
  end
end
