function V = changepv(V,npar);
% subroutine of fit to change paramater values
oldV=V;
disp('Current choice of parameters to be varied:')
disp(V)
OK = 0;
while (OK == 0)
   V=input('Enter vector (eg. [1 3 4]) of parameters to vary: ');
%   keyboard;
   if (size(V)==[0,0])
      V=oldV;
      OK = 1;
   elseif (any(V > npar))
      fprintf('Error: highest possible parameter number is %g\n', npar)
   else    
      OK = 1;    
   end
end

