function [Y,dYda]=linfit(x,A)
% LINFIT Linear curve fitting module.
% Y=A(1) .* x + A(2)
x=x(:);
npar=length(A);
Y=A(1) .* x + A(2);

dYda=zeros(length(x),npar);
dYda(:,1)= x;
dYda(:,2)= ones(length(x),1);



