function [points] = logpoints(limit, numpoints)

% logpoints gives numpoints(1) points logartimically
% spaced between limit(1) and  limit(2), numpoints(2) points
% between limit(2) and limit(3) and so on. length(numpoints)
% must be >= length (limit)

if (length (numpoints) < length(limit) - 1)
    error ('length(umpoints) must be >=length (limit) -1');
end

start = 0;
for i = 1:length(limit)-1
    np = numpoints(i);
    if (np == 0)
        points(start+1) = limit(i);
        start = start + 1;
    else  
        f = logspace2 (limit(i),limit(i+1),np+2);
        for  j = 1:length(f)
            points(start+j) = f(j);
        end
        start = length(f)-1;
    end
end
