function GPIB_Converse(Instrument)
%function GPIB_Converse(Instrument)
% converve with an instrument
% lines entered are sent to instrument
% and replies are echoed back
% conversation is ended with a . at the begining of a line
% Instrument = 'K230_1', 'TEK2440_1', etc.

buffsize=2048;
fprintf('conclude conversation with an empty input\n');
cmd=input([Instrument,'> '],'s');
if isempty(cmd);return;end;
while(~isempty(cmd));
	GPIB_Write(cmd,Instrument);
%   while gpib_rqsset(Instrument)==0, wait(.1), end;
   reply=GPIB_Read(Instrument);
	len=length(reply);
%	abs(reply)
	if len>1 | reply(len)~=255; % 255 means null reply
			count=1;
			while count+60<len;
				outstr=[reply(count:count+60-1),'\n'];
				fprintf(outstr); 
				count=count+60;
			end; % printing possibly long reply
			outstr=[reply(count:len),'\n'];
			fprintf(outstr);
	end; % non null reply
	cmd=input([Instrument,'> '],'s');
end;
