function [num,str,status]=GPIB_Wait(deviceName,mask)
% function =GPIB_Wait(deviceName,mask)
% Function to determine if the mask bit is
% set for device deviceName. 
% If RQS_Set = 1 then it was requesting service.
% Note : The RQS bit is cleared by this function even 
%        though the device has not actually been serviced.
Address = GPIB_Find(deviceName);
[num,str,status]=ib('wait',mask,Address);
%binaryStatus=int2bin(status(1),15);
%if bit_set(binaryStatus,11),RQS_Set=1; end
binaryStatus=int2bin(status(1),15);


