function  HP601A_AutoFreqInit(whichscope)
% function  HP601A_AutoFreqInit(whichscope)
% Initializes the HP54601A scope for the AutoFreq function

if nargin == 0, whichscope = HP601A_DefaultName; end

GPIB_Write(':VIEW CHANNEL1', whichscope); %Turns channel ON!
GPIB_Write(':VIEW CHANNEL2', whichscope);
GPIB_Write(':VIEW CHANNEL3', whichscope);
GPIB_Write(':CHANNEL3:RANGE HIGH', whichscope);
GPIB_Write(':CHANNEL3:OFFSET 1.5V', whichscope);
GPIB_Write(':BLANK CHANNEL4', whichscope);
GPIB_Write(':ACQUIRE:TYPE AVERAGE', whichscope);
GPIB_Write(':CHANNEL1:COUPLING AC', whichscope);
GPIB_Write(':CHANNEL2:COUPLING AC', whichscope);
GPIB_Write(':CHANNEL1:PROBE X1', whichscope);
GPIB_Write(':CHANNEL2:PROBE X1', whichscope);
GPIB_Write(':CHANNEL1:BWLIMIT ON', whichscope);
GPIB_Write(':CHANNEL2:BWLIMIT ON', whichscope);
GPIB_Write(':CHANNEL1:OFFSET 0.0', whichscope);
GPIB_Write(':CHANNEL2:OFFSET 0.0', whichscope);
GPIB_Write(':DITHER ON', whichscope);
GPIB_Write(':TRIGGER:SOURCE CHANNEL2', whichscope);
GPIB_Write(':TRIGGER:COUPLING AC', whichscope);
GPIB_Write(':TRIGGER:LEVEL 0.0', whichscope);
GPIB_Write(':TRIGGER:NREJECT ON', whichscope);
GPIB_Write(':TRIGGER:REJECT HF', whichscope);
GPIB_Write(':TRIGGER:MODE NORMAL', whichscope);
GPIB_Write(':CHANNEL1:BWLIMIT ON', whichscope);
GPIB_Write(':CHANNEL2:BWLIMIT ON', whichscope);
GPIB_Write(':CHANNEL1:OFFSET 0.0', whichscope);
GPIB_Write(':CHANNEL2:OFFSET 0.0', whichscope);
GPIB_Write(':TRIGGER:SOURCE CHANNEL1', whichscope);
GPIB_Write(':TRIGGER:COUPLING AC', whichscope);
GPIB_Write(':TRIGGER:LEVEL 0.0', whichscope);
GPIB_Write(':TRIGGER:NREJECT ON', whichscope);
GPIB_Write(':TRIGGER:REJECT HF', whichscope);
GPIB_Write(':TRIGGER:MODE NORMAL', whichscope);
GPIB_Write(':STOP', whichscope);
