function HP601A_ClearErrors(whichscope)
% function HP601A_ClearErrors(whichscope)
% Clears instrument status.

if nargin == 0, whichscope = HP601A_DefaultName; end
addr = ib('find', whichscope);
ib('clr', addr); %Clear the scope.

GPIB_Write('*CLS', whichscope);
GPIB_Write('*RST', whichscope);
