function eventarray=HP601A_Events(whichscope)
% function eventarray=HP601A_Events(whichscope);
% Cleans out event buffer on scope

if nargin==0, whichscope = HP601A_DefaultName; end

event = HP601A_ReadNumber('*ESR?', whichscope);
if ~((event == 0) | (event == 2)),
  fprintf('Abnormal event status: %0.3f\n', event);
end 
eventarray=event;

