function reply=HP601A_Read(whichscope)
% function HP601A_Read(whichscope)
% Read reply from whichscope.
% If whichscope is null, HP601A_DefaultName provides it.

if nargin==0, whichscope=HP601A_DefaultName; end

reply=GPIB_Read(whichscope);
if length(reply)>4096; fprintf('reply longer than 4096 bytes received -- truncating\n');end;
