function volts=HP601A_SetNoOffset(channel,whichscope)
% function volts=HP601A_SetNoOffset(channel,whichscope)
% Setsno offset for channel at scope named whichscope.

if nargin==2, whichscope=HP601A_DefaultName; end

HP601A_Write('*CLS', whichscope); % Reset events and srq

cmdstr =  ['CHANNEL',int2str(channel),':OFFSET 0']; 
HP601A_Write(cmdstr,whichscope);

% Determine if any events occured
eventarray=HP601A_Events(whichscope);

if(length(eventarray)>1),
 
 for i=1:length(eventarray)
  if(eventarray(i)~=0),
   if ~(eventarray(i)==558 | eventarray(i)==560),
    fprintf('Warning: Unexpected event in HP601A_SetCoupling\n');
    fprintf(' The event array contained \n');
    eventarray
   end
  end
 end %/* forloop */
end



