function K230_Disable(K230Name)
% function K230_Disable(K230Name)
% Put the 230 in disabled mode (output off)
% see also: K230_operate

if nargin==0, K230Name=K230_DefaultName; end

 GPIB_Write('F0X',K230Name);

 if (K230_Error(K230Name)),
    fprintf(['Error occurred for Keithley 230 : (' K230Name ')\n']);
 end
  
