function K230_SetVolt(volt, K230Name)
% function K230_SetVolt(volt, [K230Name])
fifty_uv=50e-6;

if nargin==1, K230Name=K230_DefaultName; end

nsteps=round(volt/fifty_uv);
volt=nsteps*fifty_uv;
cmdstr=sprintf('V%.5EX',volt);
GPIB_Write(cmdstr, K230Name);
if K230_Error(K230Name),
 error(['Error in setting voltage on K230 : ' K230Name]);
end

