function k236get(action)
% for grabbing data from k236 with
% independent parameter entered in dialog box
% each value entered in value box grabs
% measurement from k236 and plots it, cummulatively.
% the reset button resets clears all data
% values x (you entered) and y (measured) are 
% exported to base workspace as vectors

persistent x y

if nargin==0,
   k236getfig;
   x=[];
   y=[];
   return
end

switch action
case 'x'
   s=get(gcbo,'string');
   try
      newx=eval(s);
      x=[x,newx];
      newy=k236_take;
      k236_reset;
      k236_operate;
      y=[y,newy];
      plot(x,y);
      set(gcbo,'string','');
   catch
   end
case 'reset'
   x=[];
   y=[];
   cla
end

assignin('base','x',x);
assignin('base','y',y);

   