function K6430_SourceVolt(volt, K6430Name)
% function K6430_SourceVolt(volt, K6430Name)
% Sets the source voltage on the 6430 

if nargin==1, K6430Name=K6430_DefaultName; end

cmdstr = sprintf(':source:voltage:level:immediate:amplitude %g',volt);
  GPIB_Write(cmdstr,K6430Name);
  if K6430_Error(K6430Name),
    fprintf(['Error occurred with Cmd_Str = ' cmdstr]);
  end
