% GPIB Scope control routines
% these routines are meant to be device-independent.
% they call TEK2440 or HP54501 routines
% ? means routines may not work correctly
% no ? means partially tested on TEK 2430A
%
%	Scope_GetOffset.m    	?get offset of channel
%	Scope_SetNoOffset.m  	set channel to middle of screen
%	ScopeGetVoltsDiv.m   	? get volts/div for channel
%	Scope_GetSecDiv.m    	? get sec/div
%	Scope_SetTimeBase.m  	? set scope time base
%	ScopePlot.m          	? plot scope data as on scope screen
%	Scope_GetTrace.m   		grab scope data from channel(s)
%	Scope_SetVolts.m     	set volts/div for channel
%	Scope_AutoFreqInit.m 	? Initializes scope for the autofreq function
%	Scope_GetVoltsDiv.m  	get volts/div for channel
%	Scope_Write.m        	write string to scope
%	Scope_ClearErrors.m  	clear errors and pending SRQ's
%	Scope_MeasFreq.m     	? Get frequency of signal on specified channel
%	TakeScope.m    			Main script to take scope data      
%	Scope_Converse.m     	Converse interactively with scope
%	Scope_MeasVpp.m      	? get pp voltage on channel
%	Scope_DefaultScope.m 	default scope name and type
%	Scope_Read.m       		read string from scope  
%	TakeScopeGlobals.m   	defines globals for TakeScope
%	Scope_GainDelay.m    	? obtains gain and phase delay between channels 1 & 2
%	Scope_ReadNumber.m   	send query, read number from scope
%	TakeScope_Init.m     	default setup for TakeScope (scope type)
%	Scope_GetCoupling.m  	gets channel coupling string
%	Scope_ScaleChannel.m 	? attempt to scale channel
%	Scope_GetFreq.m      	get frequency on channel
%	Scope_SetCoupling.m  	set channel coupling
