%ScopePlot
% Plot as on scope
% Requires that TakeScope using "scope" plot mode has been
% run before
TakeScopeMinx=min(min(TakeScopeTimeAxis));
TakeScopeMaxx=max(max(TakeScopeTimeAxis));
TakeScopeMiny=-4;
TakeScopeMaxy=4;
axis([TakeScopeMinx,TakeScopeMaxx,TakeScopeMiny,TakeScopeMaxy]);
for c = 1:length(getchans)
  chan = getchans(c);
  eval (['plot(TakeScopeTimeAxis,SclData(c,:),TScol',int2str(chan),');']);
  hold on;
end
grid;
xlabel('Time (seconds)')
ylabel(ylblstr)
plottitle = input('Plot title? ', 's')
plottitle
title (plottitle) 
x = TakeScopeTimeAxis(fix(length(TakeScopeTimeAxis)/40));
y = 3.4;
yinc = -0.4;
if OffsetText 
  text(x,y,offsetstr);
  if strcmp(offsetstr,'') ~= 0
     y = y + yinc;
  end
end
if CouplingText
  text(x,y,couplstr);
end
hold off
  
