function Scope_SetCoupling(channel, ctype, whichscope, scopetype)
% function voltsperdiv=Scope_SetCoupling(channel, ctype, whichscope, scopetype)
% Sets the channel coupling ctype ('AC', 'DC')

if nargin == 2, [whichscope,scopetype]=Scope_DefaultScope; end

if(nargin<2), error('Too few input arguments in Scope_SetVolts'); end

scopetype=toupper(scopetype);
whichscope=toupper(whichscope);

if strcmp(scopetype,'TEK_2440'),
 T2440_SetCoupling(channel, ctype, whichscope);
elseif strcmp(scopetype, 'HP_54601A')
 HP601A_SetCoupling(channel, ctype, whichscope);
else
 error('The scopetype argument is invalid in function Scope_SetCoupling');
 scopetype
end
