function sc(s)
% sc chans
% take scope chans
% e.g. st 123 takes channels 1 2 3
% and calls them chan1 chan2 chan3 and time

if ~ischar(s),
   error('argument should be string of scope channels');
end

chan=[];
for i=1:length(s),
   n=str2num(s(i));
   if ~isempty(n) & n<=4 & n>=1,
      chan=[chan n];
   end
end

if isempty(chan)
   error('no channels specified');
end

[chans,time]=scope_gettrace(chan);

for i=1:length(chan),
   assignin('base',['chan',num2str(i)],chan(i,:));
end
assignin('base','time',time);

