function eventarray=T2440_Events(whichscope)
% function eventarray=T2440_Events(whichscope)
% Cleans out event buffer on 2440 scope
% whichscope is scope name in NB handler INIT control panel
% eventarray is array of event numbers

if nargin==0, whichscope=T2440_DefaultName; end

event=-1;
i=1;
while event~=0,
 event=T2440_ReadNumber('event?', whichscope);
 if isempty(event), break, end;
 eventarray(i)=event;
 i=i+1;
end
