function result=T2440_ReadNumber(string, whichscope)
% Sends the query (string) to the scope
% It is assumed that the response is a number, 
% which sscanf parses.
% Only one query is allowed.
% If whichscope is null, T2440_DefaultName provides it.

if nargin==1, whichscope=T2440_DefaultName; end

T2440_Write(string,whichscope);
result=sscanf(T2440_Read(whichscope),'%g');
