function result=T540_ReadNumber(string, whichscope)
% Sends the query (string) to the scope
% It is assumed that the response is a number, 
% which sscanf parses.
% Only one query is allowed.
% If whichscope is null, T540_DefaultName provides it.

if nargin==1, whichscope=T540_DefaultName; end

T540_Write(string,whichscope);
result=sscanf(T540_Read(whichscope),'%g');
