function  [] = GUIfit182AxesDB(fun, ax)

global GUIfit182winName

if nargin ==0
	fun = 'create';
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	if fig == [], return, end;
	ax = get(fig, 'CurrentAxes');
	if ax == [], return, end;
end

if strcmp(fun,  'create')
	[flag, fig] = figflag ('Plot Style');
	if (~flag)
		col = 0.72*[ 1 1 1];
		fig  = figure('name', 'Plot Style', 'numbertitle','off', 'color', col,...
				'resize','off','position', [200  150 180  100], 'menubar', 'none');
		x1 = 5, x2=65, x3=125;
		ys = 30;
		 w = 60, h = 18, inc = 20, inc2 = 22;
		 y = ys;
		uicontrol(fig, 'style', 'push', 'string', 'Done', 'backgr', col, 'callback',...
						'GUIfit182AxesDB(''done'')', 'position', [x2 5 w h] );
		uicontrol(fig, 'style', 'radio', 'string',  'off', 'value', 1, 'backgr', col,...
				'position', [x3 y w h], 'callback', 'GUIfit182AxesDB(''gridrb'')');
		y = y+ inc;
		 uicontrol(fig, 'style', 'radio', 'string',  'on', 'value', 0, 'backgr', col,...
				'position', [x3 y w h], 'callback', 'GUIfit182AxesDB(''gridrb'')');
		y = y + inc;
		uicontrol(fig,  'style', 'text', 'string', 'Grid:',  'backgr', col, 'position',  [x3 y w h]);
		y = ys;
		uicontrol(fig, 'style', 'radio', 'string', 'log', 'value', 0, 'backgr', col, ...
				'position', [x2 y w h], 'callback', 'GUIfit182AxesDB(''yscalerb'')');
		y = y + inc;
		uicontrol(fig, 'style', 'radio', 'string', 'linear', 'value', 1, 'backgr', col, ...
				'position', [x2 y w h], 'callback', 'GUIfit182AxesDB(''yscalerb'')');
		y = y + inc;
		uicontrol(fig, 'style','text', 'string', 'Y axes:', 'backgr', col, 'position', [x2 y w h]);
		y = ys;
		a = uicontrol(fig, 'style', 'radio', 'string', 'log', 'value', 0, 'backgr', col, ...
				'position', [x1 y w h], 'callback', 'GUIfit182AxesDB(''xscalerb'')');
		y = y + inc;
		b = uicontrol(fig, 'style', 'radio', 'string', 'linear', 'value', 1, 'backgr', col, ...
				'position', [x1 y w h], 'callback', 'GUIfit182AxesDB(''xscalerb'')');
		y = y + inc;
		uicontrol(fig,  'style', 'text', 'string', 'X axes:', 'backgr', col, 'position', [x1 y w h]);
	end
	
	xs = get (ax, 'Xscale')
	lin = findobj(get(fig,  'Children'),  'string', 'linear', 'callback', 'GUIfit182AxesDB(''xscalerb'')');
	log=	findobj(get(fig,  'Children'),  'string', 'log', 'callback', 'GUIfit182AxesDB(''xscalerb'')');
	if strcmp(xs, 'linear')
		set(lin, 'Value', 1);
		set(log, 'Value', 0);
	else
		set(lin, 'Value', 0);
		set(log, 'Value', 1);
	end
	ys = get (ax, 'Yscale')
	lin = findobj(get(fig,  'Children'),  'string', 'linear', 'callback', 'GUIfit182AxesDB(''yscalerb'')');
	log=	findobj(get(fig,  'Children'),  'string', 'log', 'callback', 'GUIfit182AxesDB(''yscalerb'')');
	if strcmp(ys, 'linear')
		set(lin, 'Value', 1);
		set(log, 'Value', 0);
	else
		set(lin, 'Value', 0);
		set(log, 'Value', 1);
	end
	gr = get(ax, 'Xgrid')
	on = findobj(get(fig,  'Children'),  'string', 'on', 'callback', 'GUIfit182AxesDB(''gridrb'')');
	off=	findobj(get(fig,  'Children'),  'string', 'off', 'callback', 'GUIfit182AxesDB(''gridrb'')');
	if strcmp(ys, 'on')
		set(on, 'Value', 1);
		set(off, 'Value', 0);
	else
		set(on, 'Value', 0);
		set(off, 'Value', 1);
	end
	figure(fig);
elseif strcmp(fun, 'gridrb')
	all = findobj(get(gcf,  'Children'), 'callback', 'GUIfit182AxesDB(''gridrb'')');
	for k = 1:length(all)
		if all(k) ~= gco
			set(all(k), 'Value', 0);
		end
	end
	state = get (gco, 'string');
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	if fig == [], return, end;
	ax = get(fig, 'CurrentAxes');
	if ax == [], retun, end;
	if  strcmp(state, 'on')
		set(ax, 'Xgrid', 'on')
		set(ax, 'Ygrid', 'on')
	else
		set(ax, 'Xgrid', 'off')
		set(ax, 'Ygrid', 'off')
	end
elseif strcmp(fun, 'xscalerb')
	all = findobj(get(gcf,  'Children'), 'callback', 'GUIfit182AxesDB(''xscalerb'')');
	for k = 1:length(all)
		if all(k) ~= gco
			set(all(k), 'Value', 0);
		end
	end
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	if fig == [], return, end;
	ax = get(fig, 'CurrentAxes');
	if ax == [], return, end;
	state = get (gco, 'string');
	if  strcmp(state, 'linear')
		set(ax, 'Xscale', 'linear')
	else
		set(ax, 'Xscale', 'log')
	end
elseif strcmp(fun, 'yscalerb')
	all = findobj(get(gcf,  'Children'), 'callback', 'GUIfit182AxesDB(''yscalerb'')');
	for k = 1:length(all)
		if all(k) ~= gco
			set(all(k), 'Value', 0);
		end
	end
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	if fig == [],return ,end;
	ax = get(fig, 'CurrentAxes');
	if ax == [],return ,end;
	state = get (gco, 'string');
	if  strcmp(state, 'linear')
		set(ax, 'Yscale', 'linear')
	else
		set(ax, 'Yscale', 'log')
	end
elseif strcmp(fun, 'done')
	set(gcf, 'visible', 'off');
end
