function [newbhandle] = GUIfit182Button(label, function, position, color)
% creates a button on the current figure
% function [newbhandle] = button(label, function, position, color)
% all args but the first are optional.
bhandles = findobj(gcf, 'Style', 'pushbutton');
if nargin < 4,
	color = .702*[1 1 1];
	if nargin < 3
		position = [2 62 50 18];
		if nargin < 2
			function = label;
		end;
		if (bhandles)
			lastbhandle = bhandles(1);
			position = get(lastbhandle, 'Position');
			position(2) = position(2) + position(4) + 10;
		end;
	end;
end;
newbhandle = uicontrol('Position', position, 'Style',' Pushbutton', 'Callback',... 
function, 'String', label, 'HorizontalAlignment', 'center', 'backgr', color);
