function  [outarg1] = GUIfit182CustomDB(fun)

if nargin == 0
	fun = 'create';
end

if strcmp(fun, 'create')
	winname = 'Custom Fcn'
	[flag, fig] = figflag(winname);
	if ~flag
		col = 0.72*[1 1 1];
		importDBFig  = figure('name',  winname, 'numbertitle','off', 'color',col,...
				'resize','off','position', [200 150 155 80], 'menubar', 'none');
		
		tcolor =0.5*[1 1 1];
		%create inputBoxes (from bottom up?)
		GUIfit182Button('Cancel', 'GUIfit182CustomDB(''doCancel'')', [15  5  60 18], 'red');
	    GUIfit182Button('OK', 'GUIfit182CustomDB(''doOK'')', [85  5 60 18], 'green');
	
		box1=GUIfit182Editbox('function name', tcolor, [15 45 125 18]);
		set(box1, 'callback', 'GUIfit182CustomDB(''NameRet'')'); % for identification
	end	
elseif strcmp(fun,  'nameRet');
	str = get(gco,  'string')
	if length(str) > 19
		GUIfit182('msg', 'Function name cannot be longer than 19 letters');
		sysbeep;
		outarg1 = '';
		return;
	end
	eval(['ex = exist (''', str, ''');']);
	if  ex ~= 2
		msg = ['There is no M-file:', str, ' in the MATLAB search path'];
		sysbeep;
		outarg1 = '';
		return ;
	end
	outarg1 = str;
elseif strcmp(fun, 'doOK')
	e = findobj(get(gcf, 'Children'), 'style', 'edit');
	set (gcf, 'CurrentObject', e);
	name =  GUIfit182CustomDB('nameRet');
	if name ~= ''
		eval(['npar = ', name, '(''npar'');'])
		if npar ~= 0 & npar < 10
			set (gcf, 'visible', 'off');
			% turn of modal!
			GUIfit182('setupFitEqnChange', name, npar);
		else
			sysbeep;
			GUIfit182('Msg', 'Weird number of arguments returned from custom module');
		end
	end
elseif strcmp(fun, 'doCancel')
	set (gcf, 'visible', 'off');
	% turn of modal!
	outarg1 = '';
	npar = 0;
end
