function [newehandle, newthandle] = GUIfit182Editbox(label,  color, position)
% creates a labeled edit box on the current figure
% function [newehandle, newthandle] =  GUIfit182Editbox(label, color, position)
% all args are optional.
if nargin < 3
	thandles = [findobj(gcf, 'Style', 'edit')];
 
	if (thandles)
		
		position = get(thandles(1), 'Position');
		position(2) = position(2) + position(4) + 20;
	else
		position = [2 20 50 18];
	end;
end;
newehandle = uicontrol('Position', position, 'Style', 'edit', 'HorizontalAlignment', 'center');
if nargin < 2,
	color = .7020*[1 1 1];
end;
if nargin & ~strcmp(label, '')
	position(2) = position(2)-16; position(4) = 15;	
	newthandle = uicontrol('style', 'text', 'string', label,'position', position, 'backgr', color);
end;


