function [a]  = GUIfit182WinButDwn(f)

global GUIfit182ULChange;
global GUIfit182LLChange;

selType = get(gcf, 'selectionType')
if strcmp(selType, 'open')
	if strcmp(get(gco, 'type'), 'axes')
		GUIfit182AxesDB('create', gco);
	elseif strcmp(get(gco, 'type'), 'line')
		cax = get(gco, 'Parent');
		ua = Axes182GetExt(gcf, 'handle', 'uaxes')
		la = Axes182GetExt(gcf, 'handle', 'laxes')
		if 	cax == ua
			GUIfit182ULChange = 1;
		elseif cax == la
			GUIfit182LLChange = 1;
		end
	end
elseif strcmp(selType, 'alt')
	f = gcf
	gco
	if strcmp(get(gco, 'type'), 'line')
		GUIfit182TweakDB('create',  gco);
	end
	% To avoid 'Axes182Object' getting called!
	set(f, 'CurrentObject', gca);
elseif strcmp(selType, 'extend')
	ou = get(gcf, 'Units');
	set(gcf, 'Units', 'pixels');
	cPo = get (gcf, 'currentPoint');
	set(gcf, 'Units', ou);
	cPoA= get(gca, 'currentPoint')
			
	drawnow
	rbbox([cPo(1,1) cPo(1,2) 10 10], [cPo(1,1)+10 cPo(1,2)+10])
	%drawnow is necessary otherwise we get cPn == cPo
	drawnow

	cPnA =  get(gca, 'currentPoint');
	x1 = cPoA(1,1);
	x2 = cPnA(1,1);
	GUIfit182('xLTshow', min(x1, x2));
	GUIfit182('setxLTcoord', min(x1,x2));
	GUIfit182('xUTshow', max(x1, x2));
	GUIfit182('setxUTcoord', max(x1,x2));
	GUIfit182Plot('plotTrunc');
	GUIfit182Plot('plotOrig');
	end
end		

