function ti=findspikes(xadd,yadd,intvls,pixel)

if nargin~=4,
	error('need 4 args: xadd,yadd,intvls,pixel')
end

if length(xadd)~=length(yadd) | length(xadd)~=length(intvls),
	error('xadd, yadd, and intvls must have same length');
end

if max(size(pixel))~=2 | min(size(pixel))~=1,
	error('pixel must have 2 components')
end

times=cumsum(intvls);
ti=times((xadd==pixel(1) & yadd==pixel(2)))';




