% grab spikes from  a sender chip, plot freq vs time

clear address;
clear time;

f = 0; %f<>0 indicates diagnostic output
k = 2000; % grab this many spikes

% get the addresses and valid times
[address, intvl] = NB_Rx(k, f);


% the absolute time is the cumulative sum of all the intervals
t=cumsum(intvl);

% now plot spike freq vs time of spike

plot182(t, intvl)
xlabel intervals(s)
%ylabel freq(Hz)
ylabel 'dT (s)'

