%	[addr,intervals]=NB_Rx(num, verbose, verbose)
%
% NB_Rx receives 16 bit addresses addr and 
% time intervals (in units of seconds) from a Lab-NB board. 
% Optional nonzero argument verbose causes diagnostic output.
% The counter that generates the time stamps on the board
% wraps at 2^16, so the maximum interval
% is no longer than 2*2^16*0.5us=65.536ms
%
% The addresses are read from ports A and B of the 8255A.
% The request from the sender chip comes in on %
% Bits PC6 and PC7 may be used as external output triggers, for
% example, to reset sender's pixels. Two outputs are provided
% for use with N and P type logic.
% PC6 is set high at start of NB_Rx and set low at end.
% PC7 is set low at start of NB_Rx and set high at end.
%
% see also: NB_Tx_2D, NB_Rx, NB_Rx_2D.
% NB_Rx is a Mex file.
