% Test_Mex_R_2D is a 2D receiver test program that
% calls the MATLAB function NB_Rx_2D.
%
%	The calling syntax for the 2D receiver is:
%	[x_address, y_address, time] = NB_Rx_2D(k, f)

%	Author: Henrik Floberg

clear x_address;
clear y_address;
clear time;
clear d;

f = 0;
k = 256;

[x_address, y_address, time] = NB_Rx_2D(k, f);

d = [1:k]';

for i = 2:k;
  d(i) = time(i-1) - time(i);
  if d(i) < 0 
    d(i) =d (i) + 65536;
  end;
end;

d(1) = 0;

plot((0:k-1),d(1:k),(0:k-1),10*x_address(1:k),(0:k-1),10*y_address(1:k))
