function [x,y]=Plot182NearPt(x1,y1)

if nargin==0, f=1; else f=0; end;
global Plot182NPdata Plot182NPtmp

if f==1, % initialize data for distance measurement
	a=gca; Plot182NPdata=[];
	xlog=strcmp(get(a,'XScale'),'log');
	ylog=strcmp(get(a,'YScale'),'log');
	c=get(a,'Children');
	for i=c',
		if strcmp(get(i,'Type'),'line'),
			datax=get(i,'XData');
			datay=get(i,'YData');
			[scx,scy]=Plot182dc2sc(datax,datay);
			data=[ datax;datay; scx;scy  ];
			Plot182NPdata=[Plot182NPdata,data];
		end;
	end;
	Plot182NPtmp=zeros(2,length(Plot182NPdata));
else, % get nearest data pt to x1 y1 data coordinate
	[x1,y1]=Plot182dc2sc(x1,y1);
	Plot182NPtmp(1,:)=(Plot182NPdata(3,:)-x1).^2;
	Plot182NPtmp(2,:)=(Plot182NPdata(4,:)-y1).^2;
	Plot182NPtmp=Plot182NPtmp(1,:)+Plot182NPtmp(2,:);
	[dist,i]=min(Plot182NPtmp);
	x=Plot182NPdata(1,i);
	y=Plot182NPdata(2,i);
end;

