function y=getnumberordefault(question,default)
% function y=getnumberordefault(question,default)
% Returns input value if different than default.
% Empty input returns default value.
%
% see also: getstringordefault

% Initialize values
true=1; false=0; 

% Define Query
question = sprintf([question '[ %g ] : '],default);


% Query user until an acceptable response is made.
 		y=input(question);
 		if isempty(y),
  			y=default; 
		end
