function example2(command,parameter1) 
%  Template for uicontrol form. 
%   
%  If you rename this file: 
%    1. Replace all occurrences of 'example2' with desired 'filename'. 
%    2. Resave this file as that 'filename'. 
%   
%  To edit callbacks : 
%          Fill in the 'elseif command == ...' sections with 
%          code that does something other than what was  
%          defined in GUIMaker 2.0. Be creative! 
%          The code must lie between the CALLBACK_START and  
%          CALLBACK_STOP comments for each objects callback  
%          command section. 
%   
%  example2.m 
%   
%  usage:       example2(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 21-Apr-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

%  Copyright (c)   
%       Permission is granted to modify and re-distribute this 
%	code in any manner as long as this notice is preserved. 
%	All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_edit_low')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_edit_up')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_edit_value')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_slider2')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_slider1')) 
		command = 5; 
	end 
end 

if command ~= 0 
	handle_list = get(findobj(get(0,'children'),'flat',... 
		'tag','example2'),'userdata'); 
	if length(handle_list) > 0 
		h_frame = handle_list(1); 
		h_edit_low = handle_list(2); 
		h_edit_up = handle_list(3); 
		h_edit_value = handle_list(4); 
		h_slider2 = handle_list(5); 
		h_slider1 = handle_list(6); 
		h_text_value = handle_list(7); 
		h_text_uplim = handle_list(8); 
		h_text_lowlim = handle_list(9); 
	end 
end 


if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','example2'); 
	if length(fig) > 0 
		set(fig,'visible','on'); 
		figure(fig); 
		return; 
	end 
	fig = figure('position',[ 14 314 395 343 ],... 
		'resize','On','tag','example2',... 
		'menubar','None','name','SliderExample',... 
		'numbertitle','Off','visible','off'); 

	%  Uicontrol Object Creation 

	h_frame = uicontrol(... 
		'CallBack','example2(''h_frame'');',... 
		'Position',[ 0.105 0.039 0.819 0.935 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame',... 
		'UserData',''); 
	h_edit_low = uicontrol(... 
		'CallBack','example2(''h_edit_low'');',... 
		'Position',[ 0.45 0.07 0.13 0.1 ],... 
		'String','-15',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_low',... 
		'UserData',''); 
	h_edit_up = uicontrol(... 
		'CallBack','example2(''h_edit_up'');',... 
		'Position',[ 0.45 0.551 0.13 0.1 ],... 
		'String','15',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_up',... 
		'UserData',''); 
	h_edit_value = uicontrol(... 
		'CallBack','example2(''h_edit_value'');',... 
		'Position',[ 0.575 0.327 0.132 0.082 ],... 
		'String','0',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_value',... 
		'UserData',''); 
	h_slider2 = uicontrol(... 
		'CallBack','example2(''h_slider2'');',... 
		'Max',[ 15 ],... 
		'Min',[ -15 ],... 
		'Position',[ 0.494 0.169 0.053 0.376 ],... 
		'Style','slider',... 
		'Units','normalized',... 
		'Tag','h_slider2',... 
		'UserData',''); 
	h_slider1 = uicontrol(... 
		'CallBack','example2(''h_slider1'');',... 
		'Max',[ 10 ],... 
		'Min',[ -10 ],... 
		'Position',[ 0.24 0.77 0.5 0.07 ],... 
		'String','0',... 
		'Style','slider',... 
		'Units','normalized',... 
		'Tag','h_slider1',... 
		'UserData',''); 
	h_text_value = uicontrol(... 
		'CallBack','example2(''h_text_value'');',... 
		'ForegroundColor',[ 0 1 0 ],... 
		'Position',[ 0.44 0.857 0.13 0.07 ],... 
		'String','0',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_value',... 
		'UserData',''); 
	h_text_uplim = uicontrol(... 
		'CallBack','example2(''h_text_uplim'');',... 
		'Position',[ 0.74 0.771 0.13 0.07 ],... 
		'String','10',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_uplim',... 
		'UserData',''); 
	h_text_lowlim = uicontrol(... 
		'CallBack','example2(''h_text_lowlim'');',... 
		'Position',[ 0.114 0.771 0.13 0.07 ],... 
		'String','-10',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_lowlim',... 
		'UserData',''); 


	%  Menu Object Creation 


	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame h_edit_low h_edit_up ... 
	 	h_edit_value h_slider2 h_slider1 h_text_value ... 
	 	h_text_uplim h_text_lowlim ... 
	 	 	]; 

	set(gcf,'userdata',handle_list); 
	drawnow;pause(1); 
	set(gcf,'visible','on'); 


elseif command == 1 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_edit_low 
	str = get(h_edit_low,'string'); 
	val = str2num(str); 
	if val > get(h_slider2,'max') 
	val = get(h_slider2,'max'); 
	set(h_edit_low,'string',num2str(round(100*val)/100)); 
	end 
	set(h_slider2,'min',val); 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_edit_low 
elseif command == 2 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_edit_up 
	str = get(h_edit_up,'string'); 
	val = str2num(str); 
	if val < get(h_slider2,'min'); 
	  val = get(h_slider2,'min'); 
	  set(h_edit_up,'string',num2str(round(100*val)/100)); 
	end 
	set(h_slider2,'max',val); 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_edit_up 
elseif command == 3 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_edit_value 
	str = get(h_edit_value,'string'); 
	val = str2num(str); 
	if val > str2num(get(h_edit_up,'string')); 
	  val = str2num(get(h_edit_up,'string')); 
	  set(h_edit_value,'string',num2str(val)); 
	elseif val < str2num(get(h_edit_low,'string')); 
	  val = str2num(get(h_edit_low,'string')); 
	  set(h_edit_value,'string',num2str(val)); 
	end; 
	set(h_slider2,'val',val); 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_edit_value 
elseif command == 4 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_slider2 
	val = get(h_slider2,'val'); 
	set(h_edit_value,'string',num2str(round(val*100)/100)); 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_slider2 
elseif command == 5 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_slider1 
	val = get(h_slider1,'val'); 
	set(h_text_value,'string',num2str(round(val*100)/100)); 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_slider1 
else 
	error('Error: example2.m called with incorrect command.') 
end 
