function m_fol(command)

%
% m_fol.m
%
% Allows user to move object with handles

%
% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 




if command == 1
	tmp1 = findobj(gcf,'selected','on');
	if length(tmp1) > 0
	 cf = findobj(get(0,'children'),'flat','tag','control_figure');
	 if cf
	  st = findobj(cf,'tag','h_text_status');
		if st
		  set(st,'string',['Mouse is in Move Object(s) Mode.']);
		end

	  h_undo = findobj(cf,'tag','h_push_e_undo');
	  if h_undo
	    plw = get(gcf,'userdata');
	    undo_type = 1;  % 1 is for move/resize
	    if plw(3) == 0
	      obj_cnt = length(tmp1);
	    else
	      obj_cnt = 1;
	      tmp1 = plw(3);
	    end
	    pos_mat = zeros(obj_cnt+1,5);
	    pos_mat(1,[1 2]) = [undo_type,obj_cnt];
	    for loop = 1:obj_cnt
		pos = [tmp1(loop) get(tmp1(loop),'position')];
	        pos_mat(loop+1,1:length(pos)) = pos;
	    end
	    set(h_undo,'userdata',pos_mat);
	  end
	   h_snap_hor = get(findobj(cf,'tag','h_edit_up_hdiv'),'string');
	   h_snap_ver = get(findobj(cf,'tag','h_edit_up_vdiv'),'string');

	 else
	   h_snap_hor = '1000';
	   h_snap_ver = '1000';
	 end

	 txt = [ 'scrn_pt = get(0, ''PointerLocation'');' ...
                'set(gcf,''units'',''pixels'');' ...
                'loc = get(gcf, ''Position'');' ...
                'set(gcf,''units'',''normalized'');' ...
                'pt=[(scrn_pt(1)-loc(1))/loc(3),(scrn_pt(2)-loc(2))/loc(4)];' ...
		'plw = get(gcf,''userdata'');' ...
		'if plw(3) == 0;' ...
		' tmp0 = findobj(''tag'',''working_figure'');' ...
		' tmp1 = findobj(tmp0,''selected'',''on'');' ...
		'else;'...
		' tmp1 = plw(3:length(get(gcf,''userdata'')));'...
		'end;'...
		'pos_mat = [];' ...
		'for loop = 1:length(tmp1);' ...
		' pos_mat = get(tmp1(loop),''position'');' ...
		' if strcmp(get(tmp1(loop),''type''),''text'');' ...
		' if ~strcmp(get(get(tmp1(loop),''parent''),''selected''),''on'') | ~any(get(tmp1(loop),''parent'')==tmp1);' ...
		'   ax_pos = get(get(tmp1(loop),''parent''),''position'');' ...
		'   pos_mat(1) = ax_pos(1)+pos_mat(1)*ax_pos(3)-plw(1)+pt(1);' ...
		' pos_mat(1) = round(pos_mat(1)*' h_snap_hor ')/' h_snap_hor ';' ...
		'   pos_mat(1) = (pos_mat(1)-ax_pos(1))/ax_pos(3); ' ...
		'   pos_mat(2) = ax_pos(2)+pos_mat(2)*ax_pos(4)-plw(2)+pt(2);' ...
		' pos_mat(2) = round(pos_mat(2)*' h_snap_ver ')/' h_snap_ver ';' ...
		'   pos_mat(2) = (pos_mat(2)-ax_pos(2))/ax_pos(4); ' ...
		'  end;' ...
		' else;' ...
		'   pos_mat(1) = (pos_mat(1)-plw(1)+pt(1));' ...
		'   pos_mat(2) = (pos_mat(2)-plw(2)+pt(2));' ...
		' pos_mat(1) = round(pos_mat(1)*' h_snap_hor ')/' h_snap_hor ';' ...
		' pos_mat(2) = round(pos_mat(2)*' h_snap_ver ')/' h_snap_ver ';' ...
		' end;' ...
		'set(tmp1(loop),''position'',pos_mat);' ...
		'set(gcf,''userdata'',[round(pt(1)*' h_snap_hor ')/' h_snap_hor ' round(pt(2)*' h_snap_ver ')/' h_snap_ver ' plw(3:length(get(gcf,''userdata'')))]);' ...
		'end'];
	else
	   txt = [''];
	end
	if 0
		eval(txt);
	end

	set(gcf,'WindowButtonMotionFcn',txt);

elseif command == 2

%	txt = [''];
%	set(gcf,'WindowButtonMotionFcn',txt,'pointer','arrow');
%
%	 tmp0 = findobj('tag','working_figure')
%	pt1 = get(0,'userdata');
%	pt2 = get(gcf,'userdata');
%	if (pt1(1)-pt2(1)) == 0 & (pt1(2)-pt2(2)) == 0
%	    if gco ~= gcf
%		if strcmp(get(gco,'selected'),'on')
%		  set(gco,'selected','off');
%		else
%		  set(gco,'selected','on');
%		end
%	    end
%	end

	 %tmp1 = findobj(tmp0,'selected','on');
	 %tmp5 = findobj('tag','h_slide_e_ypos');
	 %old_obj_unit = get(tmp5,'userdata');
	 %for loop =1:length(tmp1)
	  % set(tmp1(loop),'units',deblank(old_obj_unit(loop,:)));
	 %end
	% newGUI2('h_push_clear');
end
