function ng_spv_w(command,parameter1) 
%  Template for uicontrol form. 
%   
%  If you rename this file: 
%    1. Replace all occurrences of 'ng_spv_w' with desired 'filename'. 
%    2. Resave this file as that 'filename'. 
%   
%  To edit callbacks : 
%          Fill in the 'elseif command == ...' sections with 
%          code that does something other than what was  
%          defined in GUIMaker 2.0. Be creative! 
%          The code must lie between the CALLBACK_START and  
%          CALLBACK_STOP comments for each objects callback  
%          command section. 
%   
%  ng_spv_w.m 
%   
%  usage:       ng_spv_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 18-Apr-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_push_spv_unsel')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_push_spv_sel')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_push_spv_close')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_edit_spv_prop')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_edit_spv_value')) 
		command = 5; 
	end 
end 

if command ~= 0 
	handle_list = get(findobj(get(0,'children'),'flat',... 
		'tag','ng_spv_w'),'userdata'); 
	if length(handle_list) > 0 
		h_frame_spv = handle_list(1); 
		h_push_spv_unsel = handle_list(2); 
		h_push_spv_sel = handle_list(3); 
		h_push_spv_close = handle_list(4); 
		h_edit_spv_prop = handle_list(5); 
		h_edit_spv_value = handle_list(6); 
		h_text_spv = handle_list(7); 
		h_text_spv_value = handle_list(8); 
	end 
end 


if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','ng_spv_w'); 
	if length(fig) > 0 
		set(fig,'visible','on'); 
		figure(fig); 
		return; 
	end 
	set(0,'units','pixels');
	spos = get(0,'screensize');
	fig = figure('position',[ 10 (spos(4)-25-130) 393 99 ],... 
		'resize','off','tag','ng_spv_w',... 
		'menubar','None','name','Property/Value Selector',... 
		'numbertitle','Off','visible','off'); 

	%  Uicontrol Object Creation 

	h_frame_spv = uicontrol(... 
		'CallBack','ng_spv_w(''h_frame_spv'');',... 
		'Position',[ 0 0 1 1 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_spv',... 
		'UserData',''); 
	h_push_spv_unsel = uicontrol(... 
		'CallBack','ng_spv_w(''h_push_spv_unsel'');',... 
		'Position',[ 0.613 0.72 0.3 0.22 ],... 
		'String','Unselect',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Tag','h_push_spv_unsel',... 
		'UserData',''); 
	h_push_spv_sel = uicontrol(... 
		'CallBack','ng_spv_w(''h_push_spv_sel'');',... 
		'Position',[ 0.313 0.72 0.3 0.22 ],... 
		'String','Select',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Tag','h_push_spv_sel',... 
		'UserData',''); 
	h_push_spv_close = uicontrol(... 
		'CallBack','ng_spv_w(''h_push_spv_close'');',... 
		'Position',[ 0.036 0.717 0.214 0.222 ],... 
		'String','Close',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Tag','h_push_spv_close',... 
		'UserData',''); 
	h_edit_spv_prop = uicontrol(... 
		'CallBack','ng_spv_w(''h_edit_spv_prop'');',... 
		'Position',[ 0.247 0.424 0.72 0.22 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_spv_prop',... 
		'UserData',''); 
	h_edit_spv_value = uicontrol(... 
		'CallBack','ng_spv_w(''h_edit_spv_value'');',... 
		'Position',[ 0.244 0.141 0.72 0.22 ],... 
		'Style','edit',... 
		'Max',2,...
		'Units','normalized',... 
		'Tag','h_edit_spv_value',... 
		'UserData',''); 
	h_text_spv = uicontrol(... 
		'CallBack','ng_spv_w(''h_text_spv'');',... 
		'Position',[ 0.05 0.404 0.18 0.242 ],... 
		'String','Property',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_spv',... 
		'UserData',''); 
	h_text_spv_value = uicontrol(... 
		'CallBack','ng_spv_w(''h_text_spv_value'');',... 
		'Position',[ 0.05 0.141 0.18 0.232 ],... 
		'String','Value:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_spv_value',... 
		'UserData',''); 


	%  Menu Object Creation 


	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_spv h_push_spv_unsel h_push_spv_sel ... 
	 	h_push_spv_close h_edit_spv_prop h_edit_spv_value h_text_spv ... 
	 	h_text_spv_value ... 
	 	 	]; 

	set(gcf,'userdata',handle_list); 
	drawnow;pause(1); 
	set(gcf,'visible','on'); 


elseif command == 1 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_push_spv_unsel 
	wf = findobj(get(0,'children'),'flat','tag','working_figure'); 
	property = get(h_edit_spv_prop,'string'); 
	prop_value = get(h_edit_spv_value,'string'); 
	eval('obj = findobj(wf,property,prop_value);','obj = [];');
	pause(1);
	if length(obj) > 0 
	  set(obj,'selected','off'); 
	  set(wf,'selected','off'); 
	  wf = findobj(get(0,'children'),'flat','tag','control_figure');
	  if wf
	    h_stat = findobj(wf,'tag','h_text_status');
	    set(h_stat,'string',[num2str(length(obj)),' objects deselected.']);
	  end
	else
	  wf = findobj(get(0,'children'),'flat','tag','control_figure');
	  if wf
	    h_stat = findobj(wf,'tag','h_text_status');
	    set(h_stat,'string',['No objects deselected.']);
	  end
	end 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_push_spv_unsel 
elseif command == 2 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_push_spv_sel 
	wf = findobj(get(0,'children'),'flat','tag','working_figure'); 
	property = get(h_edit_spv_prop,'string'); 
	prop_value = get(h_edit_spv_value,'string'); 
	pause(1);
	eval('obj = findobj(wf,property,prop_value);','obj = [];');
	if length(obj) > 0 
	  set(obj,'selected','on'); 
	  set(wf,'selected','off');
	  wf = findobj(get(0,'children'),'flat','tag','control_figure');
	  if wf
	    h_stat = findobj(wf,'tag','h_text_status');
	    set(h_stat,'string',[num2str(length(obj)),' objects selected.']);
	  end
	else
	  wf = findobj(get(0,'children'),'flat','tag','control_figure');
	  if wf
	    h_stat = findobj(wf,'tag','h_text_status');
	    set(h_stat,'string',['No objects selected.']);
	  end
	end 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_push_spv_sel 
elseif command == 3 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_push_spv_close 
	set(gcf,'visible','off');
	cf = findobj(get(0,'chil'),'flat','tag','control_figure');
	if cf
	  h = findobj(cf,'tag','h_text_status');
	  set(h,'string','Property/Value Selector hidden from view.');
	end
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_push_spv_close 
elseif command == 4 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_edit_spv_prop 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_edit_spv_prop 
elseif command == 5 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_edit_spv_value 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_edit_spv_value 
else 
	error('Error: ng_spv_w.m called with incorrect command.') 
end 
