function [hnew] = pasteobj(handles,parent_fig)
%
%  Author :  Patrick Marchand
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 

if length(parent_fig) == 1
figure(parent_fig)
h_frames = findobj(handles,'style','frame');
h_frame_inds = zeros(size(handles));
for loop = 1:length(h_frames)
   h_frame_inds(find(h_frames(loop) == handles)) = 1;
end
ind_frames = find(h_frame_inds == 1);
ind_other = find(h_frame_inds == 0);
handles = handles([ind_frames; ind_other]);

hnew = zeros(1,length(handles));
for loop = 1:length(handles)

   if isobj(handles(loop)) 
      if strcmp(get(handles(loop),'type'),'uicontrol')

	style_s = get(handles(loop),'style');

	infoset1 = [
	'Tag                '
	'BackgroundColor    '
	'Units              '
	'CallBack           '
	'ForegroundColor    '
	'HorizontalAlignment'
	'Max                '
	'Min                '
	'Position           '
	'Enable             '
	'String             '
	'Style              '
	'Value              '
	'Visible            '
	'ButtonDownFcn      '
	'Clipping           '
	'Interruptible      '
	'Selected           '
	'UserData           '];

	eval(['hnew(loop) = uicontrol(''style'',''' style_s ''');'])
	for loop2 = 1:length(infoset1)
	  val = get(handles(loop),deblank(infoset1(loop2,:)));
	  if strcmp('tag',lower(deblank(infoset1(loop2,:))))
		tmp = findobj(parent_fig,'tag',val);
	        if length(tmp) > 0
		  flag = 0;cnt = 0;
		  while flag == 0
		    cnt = cnt + 1;
		    tmp = findobj(parent_fig,'tag',[val '_' num2str(cnt)]);
		    if length(tmp) == 0
			 flag = 1;
		    end;
		  end
		  val = [val '_' num2str(cnt)];
		end
	  end
	  if strcmp('callback',lower(deblank(infoset1(loop2,:))))
		val =strrep(val,get(handles(loop),'tag'),get(hnew(loop),'tag'));
	  end
	%MODIFIED 4/3/95 offset pasted objects
	  if strcmp('position',lower(deblank(infoset1(loop2,:))))
		val = val+[.05 .05 0 0];
	  end
	%END OF MODIFICATION
	  set(hnew(loop),deblank(infoset1(loop2,:)),val);
	end
	set(hnew(loop),'selected','on');

      elseif strcmp(get(handles(loop),'type'),'uimenu')

	infoset1 = [
	'Tag                '
	'BackgroundColor    '
	'CallBack           '
	'ForegroundColor    '
	'Checked            '
	'Separator          '
	'Enable             '
 	'Visible            '
	'ButtonDownFcn      '
	'Clipping           '
	'Interruptible      '
	'UserData           '];

	creation_error = 0;	
 	eval(['hnew(loop) = uimenu(get(handles(loop),''parent''),''label'',get(handles(loop),''label'') );'],'creation_error = 1;')
	if creation_error == 0
	 for loop2 = 1:size(infoset1,1)
	  val = get(handles(loop),deblank(infoset1(loop2,:)));
	  if strcmp('tag',lower(deblank(infoset1(loop2,:))))
		tmp = findobj(parent_fig,'tag',val);
	        if length(tmp) > 0
		  flag = 0;cnt = 0;
		  while flag == 0
		    cnt = cnt + 1;
		    tmp = findobj(parent_fig,'tag',[val '_' num2str(cnt)]);
		    if length(tmp) == 0
			 flag = 1;
		    end;
		  end
		  val = [val '_' num2str(cnt)];
		end
	  end
	  if strcmp('callback',lower(deblank(infoset1(loop2,:))))
		val =uim_cbk(get(hnew(loop),'tag'));
	  end
	  set(hnew(loop),deblank(infoset1(loop2,:)),val);
	 end
	end % if creation_error
     end
  end
end

hnew = hnew(find(hnew));

else
   cf = findobj(get(0,'children'),'flat','tag','control_figure');
   st = findobj(cf,'tag','h_text_status');
   set(st,'string','Nothing pasted.');
end
