function [str_out] = str2clbk(str_in);
%
%  str2clbk.m
%
%  Takes an input string and converts it to a string that can be
%  used in a callback.  "'" are doubled in the string.
%
%  usage:    string_out = str2clbk(string_in)
%
%
%
%  Author :  Patrick Marchand
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this 
%	code in any manner without written consent from Patrick Marchand.
%	All standard disclaimers apply. 


tmp = findstr('''',str_in);
last = 1;tmp2 = [];
if length(tmp) > 0
 for loop = 1:length(tmp)
  tmp2 = [tmp2 str_in(last:tmp(loop)) ''''];
  last = tmp(loop) + 1;
  if loop == length(tmp) & length(str_in) >= last
    tmp2 = [tmp2 str_in(last:length(str_in))];
  end
 end
else
 tmp2 = str_in;
end

str_out = tmp2;

