function clbk_str = uim_cbk(tag_str)
%
%  Author :  Patrick Marchand
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 



if nargin == 1

clbk_str  =	[
		'wf = findobj(''tag'',''working_figure'');' ...
		'if wf ~= gcf;'...
		  'set(wf,''tag'',get(wf,''name''));'...
		'end;'...
		'set(gcf,''tag'',''working_figure'');'...
		'obj_uim = findobj(gcf,''tag'',''' tag_str ''');'...
		'if strcmp(get(obj_uim,''selected''),''on'');'...
		'  uim_lab = strrep(strrep(get(obj_uim,''label''),''<'',''''),''>'','''');'...
		'  set(obj_uim,''selected'',''off'',''label'',uim_lab);'...
		'else;'...
		'  uim_lab = get(obj_uim,''label'');'...
		'  set(obj_uim,''selected'',''on'',''label'',[''<'' uim_lab ''>'']);'...
		'end;'];

else
	clbk_str = '';
end
