function un_sel_h(handles)
%
%  un_sel_h.m
%
%	This function unselects all handles.
%       UIMENU labels have '<' and '>' removed from them.
%
%
%  Author :  Patrick Marchand
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this 
%	code in any manner without written consent from Patrick Marchand.
%	All standard disclaimers apply. 

	obj_uim = findobj(handles,'type','uimenu');
	for loop = 1:length(obj_uim)
	  uim_lab = strrep(strrep(get(obj_uim(loop),'label'),'<',''),'>','');
	  set(obj_uim(loop),'selected','off','label',uim_lab);
	end
	set(handles,'selected','off');
