function [call_back_str] = win_uim(string_tag_fig_find,string_tag_uim_find,string_tag_fig_check)
%
%
%  USAGE:
%
%      win_uim(string_find,string_check)
%      string_tag_fig_find  = ['control_figure'];
%      string_tag_uim_find  = ['hm_canvas'];
%      string_tag_fig_check = ['working_figure'];
%
%

% Thanks to "win_menu" by S.L. Eddins received from J.Faneuff 11/17/94
% Modified P.R.M 12/12/94

if nargin == 3
	call_back_str = ['figs = findobj(get(0,''Children''),''flat'',''Visible'',''on'');'...
		'figs = flipud(sort(figs));'...
		'cf = findobj(figs,''flat'',''tag'',''' string_tag_fig_find ''');'...
		'h=findobj(cf,''tag'',''' string_tag_uim_find ''');'...
		'if (isempty(h));'...
		 'return;'...
		'end;'...
		'hKids = get(h,''Children'');'...
		'if (length(hKids) > length(figs));'...
		  'delete(hKids(length(figs)+1:length(hKids)));'...
		'else;'...
		  'for k = length(hKids)+1:length(figs);'...
		   'uimenu(h);'...
		  'end;'...
		'end;'...
		'subMenus = get(h,''Children'');'...
		'for k = 1:length(subMenus);'...
		  'figName = get(figs(k),''Name'');'...
		  'if (isempty(figName));'...
		    'figName =''[Untitled]'';'...
		  'end;'...
		  'if strcmp(get(figs(k),''tag''),''' string_tag_fig_check ''');'...
		  'chked = ''on'';'...
		  'else;chked = ''off'';end;'...
		  'set(subMenus(k),''checked'',chked,''Label'',' ...
		      'sprintf(''Fig. %d: %s'', figs(k), figName), '...
		      '''Callback'', [''figure('',num2str(figs(k)),'');' ...
			'cur_can('',num2str(figs(k)),'');'']);'...
		'end;'];
else
	call_back_str = [''];
end
