function r=rms(x)
%
% computes rms deviation of vector x.
% if x is a matrix, r is a row vector
% containing the  rms deviation of each column

[m,n] = size(x);
mn=mean(x);
if m == 1
 r=sqrt(sum((x-mn).^2)/n);
else
 for i=1:n,
  r(i)=sqrt(sum((x(:,i)-mn(i)).^2)/m);
 end;
end


